local L = PA_LOCALIZATION
-------------------
-- General stuff --
-------------------
Icon = {
	["Bc"] = "|TInterface\\AddOns\\Profession_Assistance\\Images\\bc.tga:18:36:0:|t",
	["Wrath"] = "|TInterface\\AddOns\\Profession_Assistance\\Images\\wrath.tga:16:36:0:|t",
	["Cata"] = "|TInterface\\AddOns\\Profession_Assistance\\Images\\cata.tga:18:36:0:|t",
	["Mop"] = "|TInterface\\AddOns\\Profession_Assistance\\Images\\mop.tga:16:36:0:|t",
	["Wod"] = "|TInterface\\AddOns\\Profession_Assistance\\Images\\wod.tga:10:38:0:|t",
	["Legion"] = "|TInterface\\AddOns\\Profession_Assistance\\Images\\legion.tga:10:38:0:|t",
	["Bfa"] = "|TInterface\\AddOns\\Profession_Assistance\\Images\\bfa.tga:10:38:0:|t",
	["Sl"] = "|TInterface\\AddOns\\Profession_Assistance\\Images\\sl.tga:16:32:0:|t"
}

Skill = {
	" Skill: 1",
	["Van"] = {
		"Skill: 1",
		"Skill: 20",
		"Skill: 25",
		"Skill: 50",
		"Skill: 75",
		"Skill: 100",
		"Skill: 125",
		"Skill: 150",
		"Skill: 175",
		"Skill: 200",
		"Skill: 225",
		"Skill: 250"
	},
	["Bc"] = {
		" Skill: 225",
		" Skill: 275",
		" Skill: 300",
		" Skill: 325"
	},
	["Wrath"] = {
		" Skill: 325",
		" Skill: 350",
		" Skill: 375",
		" Skill: 400",
		" Skill: 450"
	},
	["Cata"] = {
		" Skill: 425",
		" Skill: 450",
		" Skill: 475",
		" Skill: 500"
	},
	["Mop"] = {
		" Skill: 475",
		" Skill: 500",
		" Skill: 525",
		" Skill: 550",
		" Skill: 575",
		" Skill: 600"
	},
	["Wod"] = {
		" Skill: 1",
		" Skill: 700"
	},
	["Legion"] = {
		" Skill: 1",
		" Skill: 800"
	}
}

Chance_Text = {
	["100"] = "   (100%)",
	["99.5"] = "   (±99.5%)",
	["75"] = "   (±75%)",
	["50"] = "   (±50%)",
	["35"] = "   (±35%)",
	["25"] = "   (±25%)",
	["15"] = "   (±15%)",
	["5"] = "   (±5%)",
	["1.5"] = "   (±1.5%)",
	["0.5"] = "   (±0.5%)"
}

T_Quality = {
	"|cff1eff00", -- Uncommon
	"|cff0070dd", -- Rare
	"|cffa335ee" -- Epic
}

-----------------------
-- General stuff end --
-----------------------

------------------
-- Milling info --
------------------
T_Herb = {
	-- Vanilla herbs (Skill: 1) --
	["765"] = { -- Silverleaf
		[1] = {""};
		[2] = {L["Alabaster Pigment"], Chance_Text["100"]};
	};
	["2447"] = { -- Peacebloom
		[1] = {""};
		[2] = {L["Alabaster Pigment"], Chance_Text["100"]};
	};
	["2449"] = { -- Earthroot
		[1] = {""};
		[2] = {L["Alabaster Pigment"], Chance_Text["100"]};
	};
	
	-- Vanilla herbs (Skill: 25) --
	["2452"] = { -- Swiftthistle
		[1] = {""};
		[2] = {L["Dusky Pigment"], Chance_Text["100"]};
		[3] = {L["Verdant Pigment"], Chance_Text["25"]};
	};
	["785"] = { -- Mageroyal
		[1] = {""};
		[2] = {L["Dusky Pigment"], Chance_Text["100"]};
		[3] = {L["Verdant Pigment"], Chance_Text["25"]};
	};
	["2450"] = { -- Briarthorn
		[1] = {""};
		[2] = {L["Dusky Pigment"], Chance_Text["100"]};
		[3] = {L["Verdant Pigment"], Chance_Text["25"]};
	};
	["3820"] = { -- Stranglekelp
		[1] = {""};
		[2] = {L["Dusky Pigment"], Chance_Text["100"]};
		[3] = {L["Verdant Pigment"], Chance_Text["50"]};
	};
	["2453"] = { -- Bruiseweed
		[1] = {""};
		[2] = {L["Dusky Pigment"], Chance_Text["100"]};
		[3] = {L["Verdant Pigment"], Chance_Text["50"]};
	};
	
	-- Vanilla herbs (Skill: 75) --
	["3355"] = { -- Wild Steelbloom
		[1] = {""};
		[2] = {L["Golden Pigment"], Chance_Text["100"]};
		[3] = {L["Burnt Pigment"], Chance_Text["25"]};
	};
	["3369"] = { -- Grave Moss
		[1] = {""};
		[2] = {L["Golden Pigment"], Chance_Text["100"]};
		[3] = {L["Burnt Pigment"], Chance_Text["25"]};
	};
	["3357"] = { -- Liferoot
		[1] = {""};
		[2] = {L["Golden Pigment"], Chance_Text["100"]};
		[3] = {L["Burnt Pigment"], Chance_Text["50"]};
	};
	["3356"] = { -- Kingsblood
		[1] = {""};
		[2] = {L["Golden Pigment"], Chance_Text["100"]};
		[3] = {L["Burnt Pigment"], Chance_Text["50"]};
	};
	
	-- Vanilla herbs (Skill: 125) --
	["3818"] = { -- Fadeleaf
		[1] = {""};
		[2] = {L["Emerald Pigment"], Chance_Text["100"]};
		[3] = {L["Indigo Pigment"], Chance_Text["25"]};
	};
	["3821"] = { -- Goldthorn
		[1] = {""};
		[2] = {L["Emerald Pigment"], Chance_Text["100"]};
		[3] = {L["Indigo Pigment"], Chance_Text["25"]};
	};
	["3819"] = { -- Dragon's Teeth
		[1] = {""};
		[2] = {L["Emerald Pigment"], Chance_Text["100"]};
		[3] = {L["Indigo Pigment"], Chance_Text["50"]};
	};
	["3358"] = { -- Khadgar's Whisker
		[1] = {""};
		[2] = {L["Emerald Pigment"], Chance_Text["100"]};
		[3] = {L["Indigo Pigment"], Chance_Text["50"]};
	};
	
	-- Vanilla herbs (Skill: 175) --
	["8831"] = { -- Purple Lotus
		[1] = {""};
		[2] = {L["Violet Pigment"], Chance_Text["100"]};
		[3] = {L["Ruby Pigment"], Chance_Text["25"]};
	};
	["8838"] = { -- Sungrass
		[1] = {""};
		[2] = {L["Violet Pigment"], Chance_Text["100"]};
		[3] = {L["Ruby Pigment"], Chance_Text["25"]};
	};
	["8836"] = { -- Arthas' Tears
		[1] = {""};
		[2] = {L["Violet Pigment"], Chance_Text["100"]};
		[3] = {L["Ruby Pigment"], Chance_Text["25"]};
	};
	["4625"] = { -- Firebloom
		[1] = {""};
		[2] = {L["Violet Pigment"], Chance_Text["100"]};
		[3] = {L["Ruby Pigment"], Chance_Text["25"]};
	};
	["8845"] = { -- Ghost Mushroom
		[1] = {""};
		[2] = {L["Violet Pigment"], Chance_Text["100"]};
		[3] = {L["Ruby Pigment"], Chance_Text["50"]};
	};
	["8846"] = { -- Gromsblood
		[1] = {""};
		[2] = {L["Violet Pigment"], Chance_Text["100"]};
		[3] = {L["Ruby Pigment"], Chance_Text["50"]};
	};
	["8839"] = { -- Blindweed
		[1] = {""};
		[2] = {L["Violet Pigment"], Chance_Text["100"]};
		[3] = {L["Ruby Pigment"], Chance_Text["50"]};
	};
	
	-- Vanilla herbs (Skill: 225) --
	["13464"] = { -- Golden Sansam
		[1] = {""};
		[2] = {L["Silvery Pigment"], Chance_Text["100"]};
		[3] = {L["Sapphire Pigment"], Chance_Text["25"]};
	};
	["13463"] = { -- Dreamfoil
		[1] = {""};
		[2] = {L["Silvery Pigment"], Chance_Text["100"]};
		[3] = {L["Sapphire Pigment"], Chance_Text["25"]};
	};
	["13466"] = { -- Sorrowmoss
		[1] = {""};
		[2] = {L["Silvery Pigment"], Chance_Text["100"]};
		[3] = {L["Sapphire Pigment"], Chance_Text["50"]};
	};
	["13465"] = { -- Mountain Silversage
		[1] = {""};
		[2] = {L["Silvery Pigment"], Chance_Text["100"]};
		[3] = {L["Sapphire Pigment"], Chance_Text["50"]};
	};
	["13467"] = { -- Icecap
		[1] = {""};
		[2] = {L["Silvery Pigment"], Chance_Text["100"]};
		[3] = {L["Sapphire Pigment"], Chance_Text["50"]};
	};
	
	-- The Burning Crusade herbs --
	["22789"] = { -- Terocone
		[1] = {Icon["Bc"]};
		[2] = {L["Nether Pigment"], Chance_Text["100"]};
		[3] = {L["Ebon Pigment"], Chance_Text["25"]};
	};
	["22787"] = { -- Ragveil
		[1] = {Icon["Bc"]};
		[2] = {L["Nether Pigment"], Chance_Text["100"]};
		[3] = {L["Ebon Pigment"], Chance_Text["25"]};
	};
	["22792"] = { -- Nightmare Vine
		[1] = {Icon["Bc"]};
		[2] = {L["Nether Pigment"], Chance_Text["100"]};
		[3] = {L["Ebon Pigment"], Chance_Text["50"]};
	};
	["22791"] = { -- Netherbloom
		[1] = {Icon["Bc"]};
		[2] = {L["Nether Pigment"], Chance_Text["100"]};
		[3] = {L["Ebon Pigment"], Chance_Text["50"]};
	};
	["22793"] = { -- Mana Thistle
		[1] = {Icon["Bc"]};
		[2] = {L["Nether Pigment"], Chance_Text["100"]};
		[3] = {L["Ebon Pigment"], Chance_Text["50"]};
	};
	["22785"] = { -- Felweed
		[1] = {Icon["Bc"]};
		[2] = {L["Nether Pigment"], Chance_Text["100"]};
		[3] = {L["Ebon Pigment"], Chance_Text["25"]};
	};
	["22786"] = { -- Dreaming Glory
		[1] = {Icon["Bc"]};
		[2] = {L["Nether Pigment"], Chance_Text["100"]};
		[3] = {L["Ebon Pigment"], Chance_Text["25"]};
	};
	["22790"] = { -- Ancient Lichen
		[1] = {Icon["Bc"]};
		[2] = {L["Nether Pigment"], Chance_Text["100"]};
		[3] = {L["Ebon Pigment"], Chance_Text["50"]};
	};
	
	-- Wrath of the Lich King herbs --
	["36904"] = { -- Tiger Lily
		[1] = {Icon["Wrath"]};
		[2] = {L["Azure Pigment"], Chance_Text["100"]};
		[3] = {L["Icy Pigment"], Chance_Text["25"]};
	};
	["36907"] = { -- Talandra's Rose
		[1] = {Icon["Wrath"]};
		[2] = {L["Azure Pigment"], Chance_Text["100"]};
		[3] = {L["Icy Pigment"], Chance_Text["25"]};
	};
	["36905"] = { -- Lichbloom
		[1] = {Icon["Wrath"]};
		[2] = {L["Azure Pigment"], Chance_Text["100"]};
		[3] = {L["Icy Pigment"], Chance_Text["50"]};
	};
	["36906"] = { -- Icethorn
		[1] = {Icon["Wrath"]};
		[2] = {L["Azure Pigment"], Chance_Text["100"]};
		[3] = {L["Icy Pigment"], Chance_Text["50"]};
	};
	["36901"] = { -- Goldclover
		[1] = {Icon["Wrath"]};
		[2] = {L["Azure Pigment"], Chance_Text["100"]};
		[3] = {L["Icy Pigment"], Chance_Text["25"]};
	};
	["39970"] = { -- Fire Leaf
		[1] = {Icon["Wrath"]};
		[2] = {L["Azure Pigment"], Chance_Text["100"]};
		[3] = {L["Icy Pigment"], Chance_Text["25"]};
	};
	["37921"] = { -- Deadnettle
		[1] = {Icon["Wrath"]};
		[2] = {L["Azure Pigment"], Chance_Text["100"]};
		[3] = {L["Icy Pigment"], Chance_Text["25"]};
	};
	["36903"] = { -- Adder's Tongue
		[1] = {Icon["Wrath"]};
		[2] = {L["Azure Pigment"], Chance_Text["100"]};
		[3] = {L["Icy Pigment"], Chance_Text["50"]};
	};
	
	-- Cataclysm herbs --
	["52984"] = { -- Stormvine
		[1] = {Icon["Cata"]};
		[2] = {L["Ashen Pigment"], Chance_Text["100"]};
		[3] = {L["Burning Embers"], Chance_Text["25"]};
	};["52983"] = { -- Cinderbloom
		[1] = {Icon["Cata"]};
		[2] = {L["Ashen Pigment"], Chance_Text["100"]};
		[3] = {L["Burning Embers"], Chance_Text["25"]};
	};
	["52986"] = { -- Heartblossom
		[1] = {Icon["Cata"]};
		[2] = {L["Ashen Pigment"], Chance_Text["100"]};
		[3] = {L["Burning Embers"], Chance_Text["25"]};
	};
	["52985"] = { -- Azshara's Veil
		[1] = {Icon["Cata"]};
		[2] = {L["Ashen Pigment"], Chance_Text["100"]};
		[3] = {L["Burning Embers"], Chance_Text["25"]};
	};
	["52988"] = { -- Whiptail
		[1] = {Icon["Cata"]};
		[2] = {L["Ashen Pigment"], Chance_Text["100"]};
		[3] = {L["Burning Embers"], Chance_Text["50"]};
	};
	["52987"] = { -- Twilight Jasmine
		[1] = {Icon["Cata"]};
		[2] = {L["Ashen Pigment"], Chance_Text["100"]};
		[3] = {L["Burning Embers"], Chance_Text["50"]};
	};
	
	-- Pandaria herbs --
	["89639"] = { -- Desecrated Herb
		[1] = {Icon["Mop"]};
		[2] = {L["Shadow Pigment"], Chance_Text["100"]};
		[3] = {L["Misty Pigment"], Chance_Text["25"]};
	};
	["79010"] = { -- Snow Lily
		[1] = {Icon["Mop"]};
		[2] = {L["Shadow Pigment"], Chance_Text["100"]};
		[3] = {L["Misty Pigment"], Chance_Text["25"]};
	};
	["72235"] = { -- Silkweed
		[1] = {Icon["Mop"]};
		[2] = {L["Shadow Pigment"], Chance_Text["100"]};
		[3] = {L["Misty Pigment"], Chance_Text["25"]};
	};
	["79011"] = { -- Fool's Cap
		[1] = {Icon["Mop"]};
		[2] = {L["Shadow Pigment"], Chance_Text["100"]};
		[3] = {L["Misty Pigment"], Chance_Text["50"]};
	};
	["72237"] = { -- Rain Poppy
		[1] = {Icon["Mop"]};
		[2] = {L["Shadow Pigment"], Chance_Text["100"]};
		[3] = {L["Misty Pigment"], Chance_Text["25"]};
	};
	["72234"] = { -- Green Tea Leaf
		[1] = {Icon["Mop"]};
		[2] = {L["Shadow Pigment"], Chance_Text["100"]};
		[3] = {L["Misty Pigment"], Chance_Text["25"]};
	};
	
	-- Warlords of Draenor herbs --
	["109125"] = { -- Fireweed
		[1] = {Icon["Wod"]};
		[2] = {L["Cerulean Pigment"], Chance_Text["100"]};
	};
	["109124"] = { -- Frostweed
		[1] = {Icon["Wod"]};
		[2] = {L["Cerulean Pigment"], Chance_Text["100"]};
	};
	["109126"] = { -- Gorgrond Flytrap
		[1] = {Icon["Wod"]};
		[2] = {L["Cerulean Pigment"], Chance_Text["100"]};
	};
	["109127"] = { -- Starflower
		[1] = {Icon["Wod"]};
		[2] = {L["Cerulean Pigment"], Chance_Text["100"]};
	};
	["109128"] = { -- Nagrand Arrowbloom
		[1] = {Icon["Wod"]};
		[2] = {L["Cerulean Pigment"], Chance_Text["100"]};
	};
	["109129"] = { -- Talador Orchid
		[1] = {Icon["Wod"]};
		[2] = {L["Cerulean Pigment"], Chance_Text["100"]};
	};
	
	-- Legion herbs --
	["124105"] = { -- Starlight Rose
		[1] = {Icon["Legion"]};
		[2] = {L["Roseate Pigment"], Chance_Text["100"]};
		[3] = {L["Sallow Pigment"], Chance_Text["15"]};
	};
	["124103"] = { -- Foxflower
		[1] = {Icon["Legion"]};
		[2] = {L["Roseate Pigment"], Chance_Text["100"]};
		[3] = {L["Sallow Pigment"], Chance_Text["15"]};
	};
	["124104"] = { -- Fjarnskaggl
		[1] = {Icon["Legion"]};
		[2] = {L["Roseate Pigment"], Chance_Text["100"]};
		[3] = {L["Sallow Pigment"], Chance_Text["15"]};
	};
	["124106"] = { -- Felwort
		[1] = {Icon["Legion"]};
		[2] = {L["Roseate Pigment"], Chance_Text["100"]};
		[3] = {L["Sallow Pigment"], Chance_Text["15"]};
	};
	["124102"] = { -- Dreamleaf
		[1] = {Icon["Legion"]};
		[2] = {L["Roseate Pigment"], Chance_Text["100"]};
		[3] = {L["Sallow Pigment"], Chance_Text["15"]};
	};
	["124101"] = { -- Aethril
		[1] = {Icon["Legion"]};
		[2] = {L["Roseate Pigment"], Chance_Text["100"]};
		[3] = {L["Sallow Pigment"], Chance_Text["15"]};
	};
	["128304"] = { -- Yseralline Seed
		[1] = {Icon["Legion"]};
		[2] = {L["Roseate Pigment"], Chance_Text["100"]};
		[3] = {L["Sallow Pigment"], Chance_Text["15"]};
	};
	["151565"] = { -- Astral Glory
		[1] = {Icon["Legion"]};
		[2] = {L["Roseate Pigment"], Chance_Text["75"]};
		[3] = {L["Sallow Pigment"], Chance_Text["15"]};
	};
	
	-- Battle for Azeroth herbs --
	["152505"] = { -- Riverbud
		[1] = {Icon["Bfa"]};
		[2] = {L["Ultramarine Pigment"], Chance_Text["75"]};
		[3] = {L["Crimson Pigment"], Chance_Text["25"]};
		[4] = {L["Viridescent Pigment"], Chance_Text["15"]};
	};
	["152511"] = { -- Sea Stalk
		[1] = {Icon["Bfa"]};
		[2] = {L["Ultramarine Pigment"], Chance_Text["75"]};
		[3] = {L["Crimson Pigment"], Chance_Text["25"]};
		[4] = {L["Viridescent Pigment"], Chance_Text["15"]};
	};
	["152506"] = { -- Star Moss
		[1] = {Icon["Bfa"]};
		[2] = {L["Ultramarine Pigment"], Chance_Text["75"]};
		[3] = {L["Crimson Pigment"], Chance_Text["25"]};
		[4] = {L["Viridescent Pigment"], Chance_Text["15"]};
	};
	["152507"] = { -- Akunda's Bite
		[1] = {Icon["Bfa"]};
		[2] = {L["Ultramarine Pigment"], Chance_Text["75"]};
		[3] = {L["Crimson Pigment"], Chance_Text["25"]};
		[4] = {L["Viridescent Pigment"], Chance_Text["15"]};
	};
	["152508"] = { -- Winter's Kiss
		[1] = {Icon["Bfa"]};
		[2] = {L["Ultramarine Pigment"], Chance_Text["75"]};
		[3] = {L["Crimson Pigment"], Chance_Text["25"]};
		[4] = {L["Viridescent Pigment"], Chance_Text["15"]};
	};
	["152509"] = { -- Siren's Pollen
		[1] = {Icon["Bfa"]};
		[2] = {L["Ultramarine Pigment"], Chance_Text["75"]};
		[3] = {L["Crimson Pigment"], Chance_Text["25"]};
		[4] = {L["Viridescent Pigment"], Chance_Text["15"]};
	};
	["152510"] = { -- Anchor Weed
		[1] = {Icon["Bfa"]};
		[2] = {L["Ultramarine Pigment"], Chance_Text["75"]};
		[3] = {L["Crimson Pigment"], Chance_Text["25"]};
		[4] = {L["Viridescent Pigment"], Chance_Text["35"]};
	};
	["168487"] = { -- Zin'anthid
		[1] = {Icon["Bfa"]};
		[2] = {L["Maroon Pigment"], Chance_Text["100"]};
	};
	
	-- Shadowlands herbs --
	["168589"] = { -- Marrowroot
		[1] = {Icon["Sl"]};
		[2] = {L["Umbral Pigment"], Chance_Text["75"]};
		[3] = {L["Luminous Pigment"], Chance_Text["35"]};
		[4] = {L["Tranquil Pigment"], Chance_Text["5"]};
	};
	["168583"] = { -- Widowbloom
		[1] = {Icon["Sl"]};
		[2] = {L["Umbral Pigment"], Chance_Text["75"]};
		[3] = {L["Luminous Pigment"], Chance_Text["35"]};
		[4] = {L["Tranquil Pigment"], Chance_Text["5"]};
	};
	["170554"] = { -- Vigil's Torch
		[1] = {Icon["Sl"]};
		[2] = {L["Umbral Pigment"], Chance_Text["25"]};
		[3] = {L["Luminous Pigment"], Chance_Text["75"]};
		[4] = {L["Tranquil Pigment"], Chance_Text["5"]};
	};
	["168586"] = { -- Rising Glory
		[1] = {Icon["Sl"]};
		[2] = {L["Umbral Pigment"], Chance_Text["35"]};
		[3] = {L["Luminous Pigment"], Chance_Text["75"]};
		[4] = {L["Tranquil Pigment"], Chance_Text["5"]};
	};
	["169701"] = { -- Death Blossom
		[1] = {Icon["Sl"]};
		[2] = {L["Umbral Pigment"], Chance_Text["50"]};
		[3] = {L["Luminous Pigment"], Chance_Text["50"]};
		[4] = {L["Tranquil Pigment"], Chance_Text["5"]};
	};
	["171315"] = { -- Nightshade
		[1] = {Icon["Sl"]};
		[2] = {L["Umbral Pigment"], Chance_Text["50"]};
		[3] = {L["Luminous Pigment"], Chance_Text["50"]};
		[4] = {L["Tranquil Pigment"], Chance_Text["99.5"]};
	};
}

T_Milling = {
	-- Vanilla pigments (Skill: 1) --
	[L["Alabaster Pigment"]] = "\124cffffffff\124Hitem:39151::::::::::\124h["..L["Alabaster Pigment"].."]\124h\124r", -- Alabaster Pigment
	
	-- Vanilla pigments (Skill: 25) --
	[L["Dusky Pigment"]] = "\124cffffffff\124Hitem:39334::::::::::\124h["..L["Dusky Pigment"].."]\124h\124r", -- Dusky Pigment
	[L["Verdant Pigment"]] = "\124cff1eff00\124Hitem:43103::::::::::\124h["..L["Verdant Pigment"].."]\124h\124r", -- Verdant Pigment
	
	-- Vanilla pigments (Skill: 75) --
	[L["Golden Pigment"]] = "\124cffffffff\124Hitem:39338::::::::::\124h["..L["Golden Pigment"].."]\124h\124r", -- Golden Pigment
	[L["Burnt Pigment"]] = "\124cff1eff00\124Hitem:43104::::::::::\124h["..L["Burnt Pigment"].."]\124h\124r", -- Burnt Pigment
	
	-- Vanilla pigments (Skill: 125) --
	[L["Emerald Pigment"]] = "\124cffffffff\124Hitem:39339::::::::::\124h["..L["Emerald Pigment"].."]\124h\124r", -- Emerald Pigment
	[L["Indigo Pigment"]] = "\124cff1eff00\124Hitem:43105::::::::::\124h["..L["Indigo Pigment"].."]\124h\124r", -- Indigo Pigment
	
	-- Vanilla pigments (Skill: 175) --
	[L["Violet Pigment"]] = "\124cffffffff\124Hitem:39340::::::::::\124h["..L["Violet Pigment"].."]\124h\124r", -- Violet Pigment
	[L["Ruby Pigment"]] = "\124cff1eff00\124Hitem:43106::::::::::\124h["..L["Ruby Pigment"].."]\124h\124r", -- Ruby Pigment
	
	-- Vanilla pigments (Skill: 225) --
	[L["Silvery Pigment"]] = "\124cffffffff\124Hitem:39341::::::::::\124h["..L["Silvery Pigment"].."]\124h\124r", -- Silvery Pigment
	[L["Sapphire Pigment"]] = "\124cff1eff00\124Hitem:43107::::::::::\124h["..L["Sapphire Pigment"].."]\124h\124r", -- Sapphire Pigment
	
	-- The Burning Crusade pigments --
	[L["Nether Pigment"]] = "\124cffffffff\124Hitem:39342::::::::::\124h["..L["Nether Pigment"].."]\124h\124r", -- Nether Pigment
	[L["Ebon Pigment"]] = "\124cff1eff00\124Hitem:43108::::::::::\124h["..L["Ebon Pigment"].."]\124h\124r", -- Ebon Pigment
	
	-- Wrath of the Lich King pigments --
	[L["Azure Pigment"]] = "\124cffffffff\124Hitem:39343::::::::::\124h["..L["Azure Pigment"].."]\124h\124r", -- Azure Pigment
	[L["Icy Pigment"]] = "\124cff1eff00\124Hitem:43109::::::::::\124h["..L["Icy Pigment"].."]\124h\124r", -- Icy Pigment
	
	-- Cataclysm pigments --
	[L["Ashen Pigment"]] = "\124cffffffff\124Hitem:61979::::::::::\124h["..L["Ashen Pigment"].."]\124h\124r", -- Ashen Pigment
	[L["Burning Embers"]] = "\124cff1eff00\124Hitem:61980::::::::::\124h["..L["Burning Embers"].."]\124h\124r", -- Burning Embers
	
	-- Pandaria pigments --
	[L["Shadow Pigment"]] = "\124cffffffff\124Hitem:79251::::::::::\124h["..L["Shadow Pigment"].."]\124h\124r", -- Shadow Pigment
	[L["Misty Pigment"]] = "\124cff1eff00\124Hitem:79253::::::::::\124h["..L["Misty Pigment"].."]\124h\124r", -- Misty Pigment
	
	-- Warlords of Draenor pigments --
	[L["Cerulean Pigment"]] = "\124cffffffff\124Hitem:114931::::::::::\124h["..L["Cerulean Pigment"].."]\124h\124r", -- Cerulean Pigment
	
	-- Legion pigments --
	[L["Roseate Pigment"]] = "\124cffffffff\124Hitem:129032::::::::::\124h["..L["Roseate Pigment"].."]\124h\124r", -- Roseate Pigment
	[L["Sallow Pigment"]] = "\124cffffffff\124Hitem:129034::::::::::\124h["..L["Sallow Pigment"].."]\124h\124r", -- Sallow Pigment
	
	-- Battle for Azeroth pigments --
	[L["Ultramarine Pigment"]] = "\124cffffffff\124Hitem:153635::::::::120:::::\124h["..L["Ultramarine Pigment"].."]\124h\124r", -- Ultramarine Pigment
	[L["Crimson Pigment"]] = "\124cffffffff\124Hitem:153636::::::::120:::::\124h["..L["Crimson Pigment"].."]\124h\124r", -- Crimson Pigment
	[L["Viridescent Pigment"]] = "\124cff1eff00\124Hitem:153669::::::::120:::::\124h["..L["Viridescent Pigment"].."]\124h\124r", -- Viridescent Pigment
	[L["Maroon Pigment"]] = "\124cffffffff\124Hitem:168662::::::::120:::::\124h["..L["Maroon Pigment"].."]\124h\124r", -- Maroon Pigment
	
	-- Shadowlands pigments --
	[L["Luminous Pigment"]] = "\124cffffffff\124Hitem:173057::::::::60:::::\124h["..L["Luminous Pigment"].."]\124h\124r", -- Luminous Pigment
	[L["Umbral Pigment"]] = "\124cffffffff\124Hitem:173057::::::::60:::::\124h["..L["Umbral Pigment"].."]\124h\124r", -- Umbral Pigment
	[L["Tranquil Pigment"]] = "\124cff1eff00\124Hitem:175788::::::::60:::::\124h["..L["Tranquil Pigment"].."]\124h\124r" -- Tranquil Pigment
}

----------------------
-- Milling info end --
----------------------

----------------------
-- Prospecting info --
----------------------

T_Ores = {
	-- Vanilla ores --
	["2770"] = { -- Copper Ore
		[1] = {""};
		[2] = {L["Malachite"],L["Tigerseye"], Chance_Text["50"]};
		[3] = {L["Shadowgem"], Chance_Text["15"]};
	};
	["2771"] = { -- Tin Ore
		[1] = {""};
		[2] = {L["Lesser Moonstone"],L["Moss Agate"],L["Shadowgem"], Chance_Text["35"]};
		[3] = {L["Jade"],L["Citrine"],L["Large Opal"], Chance_Text["5"]};
	};
	["2772"] = { -- Iron Ore
		[1] = {""};
		[2] = {L["Lesser Moonstone"],L["Jade"],L["Citrine"], Chance_Text["35"]};
		[3] = {L["Star Ruby"],L["Aquamarine"], Chance_Text["5"]};
	};
	["3858"] = { -- Mithril Ore
		[1] = {""};
		[2] = {L["Citrine"],L["Star Ruby"],L["Aquamarine"], Chance_Text["35"]};
		[3] = {L["Large Opal"],L["Huge Emerald"],L["Blue Sapphire"],L["Azerothian Diamond"], Chance_Text["5"]};
	};
	["10620"] = { -- Thorium Ore
		[1] = {""};
		[2] = {L["Star Ruby"], Chance_Text["35"]};
		[3] = {L["Large Opal"],L["Huge Emerald"],L["Blue Sapphire"],L["Azerothian Diamond"], Chance_Text["35"]};
		[4] = {L["Star Ruby"], Chance_Text["15"]};
	};
	
	-- The Burning Crusade ores --
	["23424"] = { -- Fel Iron Ore
		[1] = {Icon["Bc"]};
		[2] = {L["Golden Draenite"], L["Azure Moonstone"],L["Blood Garnet"],L["Deep Peridot"],L["Flame Spessarite"],L["Shadow Draenite"], Chance_Text["15"]};
		[3] = {L["Noble Topaz"],L["Dawnstone"],L["Living Ruby"],L["Nightseye"],L["Star of Elune"],L["Talasite"], Chance_Text["1.5"]};
	};
	["23425"] = { -- Adamantite Ore
		[1] = {Icon["Bc"]};
		[2] = {L["Adamantite Powder"], Chance_Text["100"]};
		[3] = {L["Golden Draenite"], L["Azure Moonstone"],L["Blood Garnet"],L["Deep Peridot"],L["Flame Spessarite"],L["Shadow Draenite"], Chance_Text["15"]};
		[4] = {L["Noble Topaz"],L["Dawnstone"],L["Living Ruby"],L["Nightseye"],L["Star of Elune"],L["Talasite"], Chance_Text["5"]};
	};
	
	-- Wrath of the Lich King ores --
	["36909"] = { -- Cobalt Ore
		[1] = {Icon["Wrath"]};
		[2] = {L["Shadow Crystal"],L["Huge Citrine"],L["Chalcedony"],L["Bloodstone"],L["Dark Jade"],L["Sun Crystal"], Chance_Text["25"]};
		[3] = {L["Monarch Topaz"],L["Forest Emerald"],L["Sky Sapphire"],L["Autumn's Glow"],L["Scarlet Ruby"],L["Twilight Opal"], Chance_Text["1.5"]};
	};
	["36912"] = { -- Saronite Ore
		[1] = {Icon["Wrath"]};
		[2] = {L["Shadow Crystal"],L["Huge Citrine"],L["Chalcedony"],L["Bloodstone"],L["Dark Jade"],L["Sun Crystal"], Chance_Text["15"]};
		[3] = {L["Monarch Topaz"],L["Forest Emerald"],L["Sky Sapphire"],L["Autumn's Glow"],L["Scarlet Ruby"],L["Twilight Opal"], Chance_Text["5"]};
	};
	["36910"] = { -- Titanium Ore
		[1] = {Icon["Wrath"]};
		[2] = {L["Shadow Crystal"],L["Huge Citrine"],L["Chalcedony"],L["Bloodstone"],L["Dark Jade"],L["Sun Crystal"], Chance_Text["25"]};
		[3] = {L["Monarch Topaz"],L["Forest Emerald"],L["Sky Sapphire"],L["Autumn's Glow"],L["Scarlet Ruby"],L["Twilight Opal"],L["Ametrine"],L["Eye of Zul"],L["King's Amber"],L["Majestic Zircon"],L["Cardinal Ruby"],L["Dreadstone"], Chance_Text["5"]};
	};
	
	-- Cataclysm ores --
	["53038"] = { -- Obsidium Ore
		[1] = {Icon["Cata"]};
		[2] = {L["Hessonite"],L["Zephyrite"],L["Carnelian"],L["Nightstone"],L["Jasper"],L["Alicite"], Chance_Text["25"]};
		[3] = {L["Dream Emerald"],L["Inferno Ruby"],L["Amberjewel"],L["Demonseye"],L["Ember Topaz"],L["Ocean Sapphire"], Chance_Text["1.5"]};
	};
	["52185"] = { -- Elementium Ore
		[1] = {Icon["Cata"]};
		[2] = {L["Hessonite"],L["Zephyrite"],L["Carnelian"],L["Nightstone"],L["Jasper"],L["Alicite"], Chance_Text["15"]};
		[3] = {L["Dream Emerald"],L["Inferno Ruby"],L["Amberjewel"],L["Demonseye"],L["Ember Topaz"],L["Ocean Sapphire"], Chance_Text["5"]};
	};
	["52183"] = { -- Pyrite Ore
		[1] = {Icon["Cata"]};
		[2] = {L["Volatile Earth"], Chance_Text["100"]};
		[3] = {L["Hessonite"],L["Zephyrite"],L["Carnelian"],L["Nightstone"],L["Jasper"],L["Alicite"], Chance_Text["15"]};
		[4] = {L["Dream Emerald"],L["Inferno Ruby"],L["Amberjewel"],L["Demonseye"],L["Ember Topaz"],L["Ocean Sapphire"], Chance_Text["5"]};
	};
	
	-- Pandaria ores --
	["72092"] = { -- Ghost Iron Ore
		[1] = {Icon["Mop"]};
		[2] = {L["Sparkling Shard"], Chance_Text["75"]};
		[3] = {L["Sunstone"],L["Pandarian Garnet"],L["Alexandrite"],L["Lapis Lazuli"],L["Tiger Opal"],L["Roguestone"], Chance_Text["25"]};
		[4] = {L["Imperial Amethyst"],L["River's Heart"],L["Sun's Radiance"],L["Wild Jade"],L["Primordial Ruby"],L["Vermilion Onyx"], Chance_Text["5"]};
	};
	["72093"] = { -- Kyparite
		[1] = {Icon["Mop"]};
		[2] = {L["Sparkling Shard"], Chance_Text["100"]};
		[3] = {L["Sunstone"],L["Pandarian Garnet"],L["Alexandrite"],L["Lapis Lazuli"],L["Tiger Opal"],L["Roguestone"], Chance_Text["25"]};
		[4] = {L["Imperial Amethyst"],L["River's Heart"],L["Sun's Radiance"],L["Wild Jade"],L["Primordial Ruby"],L["Vermilion Onyx"], Chance_Text["5"]};
	};
	["72094"] = { -- Black Trillium Ore
		[1] = {Icon["Mop"]};
		[2] = {L["Sparkling Shard"], Chance_Text["100"]};
		[3] = {L["Sunstone"],L["Pandarian Garnet"],L["Alexandrite"],L["Lapis Lazuli"],L["Tiger Opal"],L["Roguestone"],L["Imperial Amethyst"],L["River's Heart"],L["Sun's Radiance"],L["Wild Jade"],L["Primordial Ruby"],L["Vermilion Onyx"], Chance_Text["15"]};
	};
	["72103"] = { -- White Trillium Ore
		[1] = {Icon["Mop"]};
		[2] = {L["Sparkling Shard"], Chance_Text["100"]};
		[3] = {L["Sunstone"],L["Pandarian Garnet"],L["Alexandrite"],L["Lapis Lazuli"],L["Tiger Opal"],L["Roguestone"],L["Imperial Amethyst"],L["River's Heart"],L["Sun's Radiance"],L["Wild Jade"],L["Primordial Ruby"],L["Vermilion Onyx"], Chance_Text["15"]};
	};
	
	-- Warlords of Draenor ores --
	-- there is no prospecting for Draenor gems / ores --
	
	-- Legion ores --
	["123918"] = { -- Leystone Ore
		[1] = {Icon["Legion"]};
		[2] = {L["Gem Chip"], Chance_Text["25"]};
		[3] = {L["Azsunite"],L["Deep Amber"], L["Skystone"], Chance_Text["15"]};
		[4] = {L["Queen's Opal"], L["Dawnlight"], Chance_Text["5"]};
		[5] = {L["Chaotic Spinel"], L["Eye of Prophecy"], L["Maelstrom Sapphire"], L["Pandemonite"], L["Shadowruby"], Chance_Text["1.5"]};
	};
	["123919"] = { -- Felslate
		[1] = {Icon["Legion"]};
		[2] = {L["Gem Chip"], Chance_Text["25"]};
		[3] = {L["Azsunite"], L["Queen's Opal"], Chance_Text["15"]};
		[4] = {L["Chaotic Spinel"], L["Dawnlight"], Chance_Text["5"]};
		[5] = {L["Deep Amber"], L["Skystone"], L["Eye of Prophecy"], L["Pandemonite"], Chance_Text["1.5"]};
	};
	["151564"] = { -- Empyrium
		[1] = {Icon["Legion"]};
		[2] = {L["Argulite"],L["Chemirine"],L["Florid Malachite"],L["Hesselian"],L["Labradorite"],L["Lightsphene"], Chance_Text["1.5"]};
	};
	
	-- Battle for Azeroth ores --
	["152512"] = { -- Monelite Ore
		[1] = {Icon["Bfa"]};
		[2] = {L["Kyanite"], L["Golden Beryl"], Chance_Text["25"]};
		[3] = {L["Viridium"], L["Solstone"], L["Kubiline"], L["Rubellite"], Chance_Text["15"]};
		[4] = {L["Royal Quartz"], L["Laribole"], Chance_Text["5"]};
		[5] = {L["Amberblaze"], L["Tidal Amethyst"], L["Scarlet Diamond"], L["Owlseye"], L["Kraken's Eye"], Chance_Text["1.5"]};
	};
	["152579"] = { -- Storm Silver Ore
		[1] = {Icon["Bfa"]};
		[2] = {L["Kyanite"], L["Golden Beryl"], L["Solstone"], Chance_Text["25"]};
		[3] = {L["Amberblaze"], L["Tidal Amethyst"], L["Kubiline"], L["Rubellite"], L["Viridium"], Chance_Text["15"]};
		[4] = {L["Royal Quartz"], L["Laribole"], L["Scarlet Diamond"], L["Owlseye"], L["Kraken's Eye"], Chance_Text["5"]};
	};
	["152513"] = { -- Platinum Ore
		[1] = {Icon["Bfa"]};
		[2] = {L["Kyanite"], Chance_Text["35"]};
		[3] = {L["Golden Beryl"], Chance_Text["25"]};
		[4] = {L["Viridium"], L["Solstone"], L["Kubiline"], L["Rubellite"], L["Scarlet Diamond"], L["Owlseye"], Chance_Text["15"]};
		[5] = {L["Royal Quartz"], L["Laribole"], L["Amberblaze"], L["Tidal Amethyst"], Chance_Text["5"]};
		[6] = {L["Kraken's Eye"], Chance_Text["1.5"]};
	};
	["168185"] = { -- Osmenite Ore
		[1] = {Icon["Bfa"]};
		[2] = {L["Sand Spinel"], L["Dark Opal"], L["Lava Lazuli"], L["Sea Currant"], Chance_Text["25"]};
		[3] = {L["Leviathan's Eye"], Chance_Text["15"]};
		[4] = {L["Sage Agate"], L["Azsharine"], Chance_Text["5"]};
	};
	
	-- Shadowlands ores --
	["171828"] = { -- Laestrite Ore
		[1] = {Icon["Sl"]};
		[2] = {L["Angerseye"], L["Oriblase"], L["Umbryl"], Chance_Text["35"]};
		[3] = {L["Essence of Valor"], L["Essence of Servitude"], L["Essence of Rebirth"], L["Essence of Torment"], Chance_Text["5"]};
	};
	["171833"] = { -- Elethium Ore
		[1] = {Icon["Sl"]};
		[2] = {L["Oriblase"], L["Umbryl"], L["Essence of Servitude"], Chance_Text["35"]};
		[3] = {L["Angerseye"], L["Essence of Valor"], L["Essence of Torment"], Chance_Text["25"]};
		[4] = {L["Essence of Rebirth"], Chance_Text["15"]};
	};
	["171829"] = { -- Solenium Ore
		[1] = {Icon["Sl"]};
		[2] = {L["Angerseye"], L["Oriblase"], L["Umbryl"], Chance_Text["35"]};
		[3] = {L["Essence of Valor"], Chance_Text["15"]};
	};
	["171830"] = { -- Oxxein Ore
		[1] = {Icon["Sl"]};
		[2] = {L["Angerseye"], L["Oriblase"], Chance_Text["35"]};
		[3] = {L["Umbryl"], L["Essence of Servitude"], Chance_Text["25"]};
	};
	["171831"] = { -- Phaedrum Ore
		[1] = {Icon["Sl"]};
		[2] = {L["Angerseye"], L["Oriblase"], L["Umbryl"], Chance_Text["35"]};
		[3] = {L["Essence of Rebirth"], Chance_Text["15"]};
	};
	["171832"] = { -- Sinvyr Ore
		[1] = {Icon["Sl"]};
		[2] = {L["Angerseye"], L["Oriblase"], L["Umbryl"], Chance_Text["35"]};
		[3] = {L["Essence of Torment"], Chance_Text["15"]};
	};
}

T_Pros = {
	-- Vanilla results --
	[L["Malachite"]] = "\124cff1eff00\124Hitem:774::::::::::\124h["..L["Malachite"].."]\124h\124r", -- Malachite
	[L["Tigerseye"]] = "\124cff1eff00\124Hitem:818::::::::::\124h["..L["Tigerseye"].."]\124h\124r", -- Tigerseye
	[L["Lesser Moonstone"]] = "\124cff1eff00\124Hitem:1705::::::::::\124h["..L["Lesser Moonstone"].."]\124h\124r", -- Lesser Moonstone
	[L["Moss Agate"]] = "\124cff1eff00\124Hitem:1206::::::::::\124h["..L["Moss Agate"].."]\124h\124r", -- Moss Agate
	[L["Shadowgem"]] = "\124cff1eff00\124Hitem:1210::::::::::\124h["..L["Shadowgem"].."]\124h\124r", -- Shadowgem
	[L["Jade"]] = "\124cff1eff00\124Hitem:1529::::::::::\124h["..L["Jade"].."]\124h\124r", -- Jade
	[L["Citrine"]] = "\124cff1eff00\124Hitem:3864::::::::::\124h["..L["Citrine"].."]\124h\124r", -- Citrine
	[L["Star Ruby"]] = "\124cff1eff00\124Hitem:7910::::::::::\124h["..L["Star Ruby"].."]\124h\124r", -- Star Ruby
	[L["Aquamarine"]] = "\124cff1eff00\124Hitem:7909::::::::::\124h["..L["Aquamarine"].."]\124h\124r", -- Aquamarine
	[L["Large Opal"]] = "\124cff1eff00\124Hitem:12799::::::::::\124h["..L["Large Opal"].."]\124h\124r", -- Large Opal
	[L["Huge Emerald"]] = "\124cff1eff00\124Hitem:12364::::::::::\124h["..L["Huge Emerald"].."]\124h\124r", -- Huge Emerald
	[L["Blue Sapphire"]] = "\124cff1eff00\124Hitem:12361::::::::::\124h["..L["Blue Sapphire"].."]\124h\124r", -- Blue Sapphire
	[L["Azerothian Diamond"]] = "\124cff1eff00\124Hitem:12800::::::::::\124h["..L["Azerothian Diamond"].."]\124h\124r", -- Azerothian Diamond
	
	-- The Burning Crusade results --
	[L["Adamantite Powder"]] = "\124cffffffff\124Hitem:24243::::::::::\124h["..L["Adamantite Powder"].."]\124h\124r", -- Adamantite Powder
	[L["Golden Draenite"]] = "\124cff1eff00\124Hitem:23112::::::::::\124h["..L["Golden Draenite"].."]\124h\124r", -- Golden Draenite
	[L["Azure Moonstone"]] = "\124cff1eff00\124Hitem:23117::::::::::\124h["..L["Azure Moonstone"].."]\124h\124r", -- Azure Moonstone
	[L["Blood Garnet"]] = "\124cff1eff00\124Hitem:23077::::::::::\124h["..L["Blood Garnet"].."]\124h\124r", -- Blood Garnet
	[L["Deep Peridot"]] = "\124cff1eff00\124Hitem:23079::::::::::\124h["..L["Deep Peridot"].."]\124h\124r", -- Deep Peridot
	[L["Flame Spessarite"]] = "\124cff1eff00\124Hitem:21929::::::::::\124h["..L["Flame Spessarite"].."]\124h\124r", -- Flame Spessarite
	[L["Shadow Draenite"]] = "\124cff1eff00\124Hitem:23107::::::::::\124h["..L["Shadow Draenite"].."]\124h\124r", -- Shadow Draenite
	[L["Noble Topaz"]] = "\124cff0070dd\124Hitem:23439::::::::::\124h["..L["Noble Topaz"].."]\124h\124r", -- Noble Topaz
	[L["Dawnstone"]] = "\124cff0070dd\124Hitem:23440::::::::::\124h["..L["Dawnstone"].."]\124h\124r", -- Dawnstone
	[L["Living Ruby"]] = "\124cff0070dd\124Hitem:23436::::::::::\124h["..L["Living Ruby"].."]\124h\124r", -- Living Ruby
	[L["Nightseye"]] = "\124cff0070dd\124Hitem:23441::::::::::\124h["..L["Nightseye"].."]\124h\124r", -- Nightseye
	[L["Star of Elune"]] = "\124cff0070dd\124Hitem:23438::::::::::\124h["..L["Star of Elune"].."]\124h\124r", -- Star of Elune
	[L["Talasite"]] = "\124cff0070dd\124Hitem:23437::::::::::\124h["..L["Talasite"].."]\124h\124r", -- Talasite
	
	-- Wrath of the Lich King results --
	[L["Shadow Crystal"]] = "\124cff1eff00\124Hitem:36926::::::::::\124h["..L["Shadow Crystal"].."]\124h\124r", -- Shadow Crystal
	[L["Huge Citrine"]] = "\124cff1eff00\124Hitem:36929::::::::::\124h["..L["Huge Citrine"].."]\124h\124r", -- Huge Citrine
	[L["Chalcedony"]] = "\124cff1eff00\124Hitem:36923::::::::::\124h["..L["Chalcedony"].."]\124h\124r", -- Chalcedony
	[L["Bloodstone"]] = "\124cff1eff00\124Hitem:36917::::::::::\124h["..L["Bloodstone"].."]\124h\124r", -- Bloodstone
	[L["Dark Jade"]] = "\124cff1eff00\124Hitem:36932::::::::::\124h["..L["Dark Jade"].."]\124h\124r", -- Dark Jade
	[L["Sun Crystal"]] = "\124cff1eff00\124Hitem:36920::::::::::\124h["..L["Sun Crystal"].."]\124h\124r", -- Sun Crystal
	[L["Monarch Topaz"]] = "\124cff0070dd\124Hitem:36930::::::::::\124h["..L["Monarch Topaz"].."]\124h\124r", -- Monarch Topaz
	[L["Forest Emerald"]] = "\124cff0070dd\124Hitem:36933::::::::::\124h["..L["Forest Emerald"].."]\124h\124r", -- Forest Emerald
	[L["Sky Sapphire"]] = "\124cff0070dd\124Hitem:36924::::::::::\124h["..L["Sky Sapphire"].."]\124h\124r", -- Sky Sapphire
	[L["Autumn's Glow"]] = "\124cff0070dd\124Hitem:36921::::::::::\124h["..L["Autumn's Glow"].."]\124h\124r", -- Autumn's Glow
	[L["Scarlet Ruby"]] = "\124cff0070dd\124Hitem:36918::::::::::\124h["..L["Scarlet Ruby"].."]\124h\124r", -- Scarlet Ruby
	[L["Twilight Opal"]] = "\124cff0070dd\124Hitem:36927::::::::::\124h["..L["Twilight Opal"].."]\124h\124r", -- Twilight Opal
	[L["Ametrine"]] = "\124cffa335ee\124Hitem:36931::::::::::\124h["..L["Ametrine"].."]\124h\124r", -- Ametrine
	[L["Eye of Zul"]] = "\124cffa335ee\124Hitem:36934::::::::::\124h["..L["Eye of Zul"].."]\124h\124r", -- Eye of Zul
	[L["King's Amber"]] = "\124cffa335ee\124Hitem:36922::::::::::\124h["..L["King's Amber"].."]\124h\124r", -- King's Amber
	[L["Majestic Zircon"]] = "\124cffa335ee\124Hitem:36925::::::::::\124h["..L["Majestic Zircon"].."]\124h\124r", -- Majestic Zircon
	[L["Cardinal Ruby"]] = "\124cffa335ee\124Hitem:36919::::::::::\124h["..L["Cardinal Ruby"].."]\124h\124r", -- Cardinal Ruby
	[L["Dreadstone"]] = "\124cffa335ee\124Hitem:36928::::::::::\124h["..L["Dreadstone"].."]\124h\124r", -- Dreadstone
	
	-- Cataclysm results --
	[L["Volatile Earth"]] = "\124cffffffff\124Hitem:52327::::::::::\124h["..L["Volatile Earth"].."]\124h\124r", -- Volatile Earth
	[L["Hessonite"]] = "\124cff1eff00\124Hitem:52181::::::::::\124h["..L["Hessonite"].."]\124h\124r", -- Hessonite
	[L["Zephyrite"]] = "\124cff1eff00\124Hitem:52178::::::::::\124h["..L["Zephyrite"].."]\124h\124r", -- Zephyrite
	[L["Carnelian"]] = "\124cff1eff00\124Hitem:52177::::::::::\124h["..L["Carnelian"].."]\124h\124r", --Carnelian
	[L["Nightstone"]] = "\124cff1eff00\124Hitem:52180::::::::::\124h["..L["Nightstone"].."]\124h\124r", -- Nightstone
	[L["Jasper"]] = "\124cff1eff00\124Hitem:52182::::::::::\124h["..L["Jasper"].."]\124h\124r", -- Jasper
	[L["Alicite"]] = "\124cff1eff00\124Hitem:52179::::::::::\124h["..L["Alicite"].."]\124h\124r", -- Alicite
	[L["Dream Emerald"]] = "\124cff0070dd\124Hitem:52192::::::::::\124h["..L["Dream Emerald"].."]\124h\124r", -- Dream Emerald
	[L["Inferno Ruby"]] = "\124cff0070dd\124Hitem:52190::::::::::\124h["..L["Inferno Ruby"].."]\124h\124r", -- Inferno Ruby
	[L["Amberjewel"]] = "\124cff0070dd\124Hitem:52195::::::::::\124h["..L["Amberjewel"].."]\124h\124r", -- Amberjewel
	[L["Demonseye"]] = "\124cff0070dd\124Hitem:52194::::::::::\124h["..L["Demonseye"].."]\124h\124r", -- Demonseye
	[L["Ember Topaz"]] = "\124cff0070dd\124Hitem:52193::::::::::\124h["..L["Ember Topaz"].."]\124h\124r", -- Ember Topaz
	[L["Ocean Sapphire"]] = "\124cff0070dd\124Hitem:52191::::::::::\124h["..L["Ocean Sapphire"].."]\124h\124r", -- Ocean Sapphire
	
	-- Pandaria results --
	[L["Sparkling Shard"]] = "\124cffffffff\124Hitem:90407::::::::::\124h["..L["Sparkling Shard"].."]\124h\124r", -- Sparkling Shard
	[L["Sunstone"]] = "\124cff1eff00\124Hitem:76134::::::::::\124h["..L["Sunstone"].."]\124h\124r", -- Sunstone
	[L["Pandarian Garnet"]] = "\124cff1eff00\124Hitem:76136::::::::::\124h["..L["Pandarian Garnet"].."]\124h\124r", -- Pandarian Garnet
	[L["Alexandrite"]] = "\124cff1eff00\124Hitem:76137::::::::::\124h["..L["Alexandrite"].."]\124h\124r", -- Alexandrite
	[L["Lapis Lazuli"]] = "\124cff1eff00\124Hitem:76133::::::::::\124h["..L["Lapis Lazuli"].."]\124h\124r", -- Lapis Lazuli
	[L["Tiger Opal"]] = "\124cff1eff00\124Hitem:76130::::::::::\124h["..L["Tiger Opal"].."]\124h\124r", -- Tiger Opal
	[L["Roguestone"]] = "\124cff1eff00\124Hitem:76135::::::::::\124h["..L["Roguestone"].."]\124h\124r", -- Roguestone
	[L["Imperial Amethyst"]] = "\124cff0070dd\124Hitem:76141::::::::::\124h["..L["Imperial Amethyst"].."]\124h\124r", -- Imperial Amethyst
	[L["River's Heart"]] = "\124cff0070dd\124Hitem:76138::::::::::\124h["..L["River's Heart"].."]\124h\124r", -- River's Heart
	[L["Sun's Radiance"]] = "\124cff0070dd\124Hitem:76142::::::::::\124h["..L["Sun's Radiance"].."]\124h\124r", -- Sun's Radiance
	[L["Wild Jade"]] = "\124cff0070dd\124Hitem:76139::::::::::\124h["..L["Wild Jade"].."]\124h\124r", -- Wild Jade
	[L["Primordial Ruby"]] = "\124cff0070dd\124Hitem:76131::::::::::\124h["..L["Primordial Ruby"].."]\124h\124r", -- Primordial Ruby
	[L["Vermilion Onyx"]] = "\124cff0070dd\124Hitem:76140::::::::::\124h["..L["Vermilion Onyx"].."]\124h\124r", -- Vermilion Onyx
	
	-- Warlords of Draenor results --
	-- there is no prospecting for Draenor gems / ores --
	
	-- Legion results --
	[L["Gem Chip"]] = "\124cffffffff\124Hitem:130203::::::::110:::::\124h["..L["Gem Chip"].."]\124h\124r", -- Blue Gem Chip (Because i like blue mkay)
	[L["Azsunite"]] = "\124cff1eff00\124Hitem:130174::::::::110:::::\124h["..L["Azsunite"].."]\124h\124r", -- Azsunite
	[L["Chaotic Spinel"]] = "\124cff1eff00\124Hitem:130175::::::::110:::::\124h["..L["Chaotic Spinel"].."]\124h\124r", -- Chaotic Spinel
	[L["Deep Amber"]] = "\124cff1eff00\124Hitem:130173::::::::110:::::\124h["..L["Deep Amber"].."]\124h\124r", -- Deep Amber
	[L["Queen's Opal"]] = "\124cff1eff00\124Hitem:130177::::::::110:::::\124h["..L["Queen's Opal"].."]\124h\124r", -- Queen's Opal
	[L["Skystone"]] = "\124cff1eff00\124Hitem:130176::::::::110:::::\124h["..L["Skystone"].."]\124h\124r", -- Skystone
	[L["Dawnlight"]] = "\124cff0070dd\124Hitem:130180::::::::110:::::\124h["..L["Dawnlight"].."]\124h\124r", -- Dawnlight
	[L["Eye of Prophecy"]] = "\124cff0070dd\124Hitem:130179::::::::110:::::\124h["..L["Eye of Prophecy"].."]\124h\124r", -- Eye of Prophecy
	[L["Maelstrom Sapphire"]] = "\124cff0070dd\124Hitem:130182::::::::110:::::\124h["..L["Maelstrom Sapphire"].."]\124h\124r", -- Maelstrom Sapphire
	[L["Pandemonite"]] = "\124cff0070dd\124Hitem:130181::::::::110:::::\124h["..L["Pandemonite"].."]\124h\124r", -- Pandemonite
	[L["Shadowruby"]] = "\124cff0070dd\124Hitem:130183::::::::110:::::\124h["..L["Shadowruby"].."]\124h\124r", -- Shadowruby
	[L["Argulite"]] = "\124cffa335ee\124Hitem:151718::::::::110:::::\124h["..L["Argulite"].."]\124h\124r", -- Argulite
	[L["Chemirine"]] = "\124cffa335ee\124Hitem:151720::::::::110:::::\124h["..L["Chemirine"].."]\124h\124r", -- Chemirine
	[L["Florid Malachite"]] = "\124cffa335ee\124Hitem:151722::::::::110:::::\124h["..L["Florid Malachite"].."]\124h\124r", -- Florid Malachite
	[L["Hesselian"]] = "\124cffa335ee\124Hitem:151721::::::::110:::::\124h["..L["Hesselian"].."]\124h\124r", -- Hesselian
	[L["Labradorite"]] = "\124cffa335ee\124Hitem:151579::::::::110:::::\124h["..L["Labradorite"].."]\124h\124r", -- Labradorite
	[L["Lightsphene"]] = "\124cffa335ee\124Hitem:151719::::::::110:::::\124h["..L["Lightsphene"].."]\124h\124r", -- Lightsphene
	
	-- Battle for Azeroth results --
	[L["Rubellite"]] = "\124cff1eff00\124Hitem:153701::::::::120:::::\124h["..L["Rubellite"].."]\124h\124r", -- Rubellite
	[L["Kubiline"]] = "\124cff1eff00\124Hitem:153702::::::::120:::::\124h["..L["Kubiline"].."]\124h\124r", -- Kubiline
	[L["Solstone"]] = "\124cff1eff00\124Hitem:153703::::::::120:::::\124h["..L["Solstone"].."]\124h\124r", -- Solstone
	[L["Viridium"]] = "\124cff1eff00\124Hitem:153704::::::::120:::::\124h["..L["Viridium"].."]\124h\124r", -- Viridium
	[L["Kyanite"]] = "\124cff1eff00\124Hitem:153705::::::::120:::::\124h["..L["Kyanite"].."]\124h\124r", -- Kyanite
	[L["Golden Beryl"]] = "\124cff1eff00\124Hitem:153700::::::::120:::::\124h["..L["Golden Beryl"].."]\124h\124r", -- Golden Beryl
	[L["Owlseye"]] = "\124cff0070dd\124Hitem:154120::::::::120:::::\124h["..L["Owlseye"].."]\124h\124r", -- Owlseye
	[L["Scarlet Diamond"]] = "\124cff0070dd\124Hitem:154121::::::::120:::::\124h["..L["Scarlet Diamond"].."]\124h\124r", -- Scarlet Diamond
	[L["Tidal Amethyst"]] = "\124cff0070dd\124Hitem:154122::::::::120:::::\124h["..L["Tidal Amethyst"].."]\124h\124r", -- Tidal Amethyst
	[L["Amberblaze"]] = "\124cff0070dd\124Hitem:154123::::::::120:::::\124h["..L["Amberblaze"].."]\124h\124r", -- Amberblaze
	[L["Laribole"]] = "\124cff0070dd\124Hitem:154124::::::::120:::::\124h["..L["Laribole"].."]\124h\124r", -- Laribole
	[L["Royal Quartz"]] = "\124cff0070dd\124Hitem:154125::::::::120:::::\124h["..L["Royal Quartz"].."]\124h\124r", -- Royal Quartz
	[L["Kraken's Eye"]] = "\124cffa335ee\124Hitem:153706::::::::120:::::\124h["..L["Kraken's Eye"].."]\124h\124r", -- Kraken's Eye
	[L["Sand Spinel"]] = "\124cffa335ee\124Hitem:168192::::::::120:::::\124h["..L["Sand Spinel"].."]\124h\124r", -- Sand Spinel
	[L["Dark Opal"]] = "\124cffa335ee\124Hitem:168189::::::::120:::::\124h["..L["Dark Opal"].."]\124h\124r", -- Dark Opal
	[L["Lava Lazuli"]] = "\124cffa335ee\124Hitem:168190::::::::120:::::\124h["..L["Lava Lazuli"].."]\124h\124r", -- Lava Lazuli
	[L["Sea Currant"]] = "\124cffa335ee\124Hitem:168191::::::::120:::::\124h["..L["Sea Currant"].."]\124h\124r", -- Sea Currant
	[L["Sage Agate"]] = "\124cffa335ee\124Hitem:168188::::::::120:::::\124h["..L["Sage Agate"].."]\124h\124r", -- Sage Agate
	[L["Azsharine"]] = "\124cffa335ee\124Hitem:168193::::::::120:::::\124h["..L["Azsharine"].."]\124h\124r", -- Azsharine
	[L["Leviathan's Eye"]] = "\124cffa335ee\124Hitem:168635::::::::120:::::\124h["..L["Leviathan's Eye"].."]\124h\124r", -- Leviathan's Eye
	
	-- Shadowlands results --
	[L["Angerseye"]] = "\124cff1eff00\124Hitem:173109::::::::60:::::\124h["..L["Angerseye"].."]\124h\124r", -- Angerseye
	[L["Oriblase"]] = "\124cff1eff00\124Hitem:173108::::::::60:::::\124h["..L["Oriblase"].."]\124h\124r", -- Oriblase
	[L["Umbryl"]] = "\124cff1eff00\124Hitem:173110::::::::60:::::\124h["..L["Umbryl"].."]\124h\124r", -- Umbryl
	[L["Essence of Valor"]] = "\124cff1eff00\124Hitem:173173::::::::60:::::\124h["..L["Essence of Valor"].."]\124h\124r", -- Essence of Valor
	[L["Essence of Servitude"]] = "\124cff1eff00\124Hitem:173172::::::::60:::::\124h["..L["Essence of Servitude"].."]\124h\124r", -- Essence of Servitude
	[L["Essence of Rebirth"]] = "\124cff1eff00\124Hitem:173170::::::::60:::::\124h["..L["Essence of Rebirth"].."]\124h\124r", -- Essence of Rebirth
	[L["Essence of Torment"]] = "\124cff1eff00\124Hitem:173171::::::::60:::::\124h["..L["Essence of Torment"].."]\124h\124r" -- Essence of Torment
}

--------------------------
-- Prospecting info end --
--------------------------

---------------------
-- Disenchant info --
---------------------

T_Dis = {
	-- Dust
	["10940"] = { -- Strange Dust
		"",
		"Gear level: 1-16",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["75"],
		T_Quality[1]..Chance_Text["25"]
	},
	["16204"] = { -- Light Illusion Dust
		"",
		"Gear level: 10-29",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["75"],
		T_Quality[1]..Chance_Text["25"]
	},
	["156930"] = { -- Rich Illusion Dust
		"",
		"Gear level: 5-35",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["75"],
		T_Quality[1]..Chance_Text["25"]
	},
	["22445"] = { -- Arcane Dust
		Icon["Bc"],
		"Gear level: 29-32",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["75"],
		T_Quality[1]..Chance_Text["25"]
	},
	["34054"] = { -- Infinite Dust
		Icon["Wrath"],
		"Gear level: 32-35",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["75"],
		T_Quality[1]..Chance_Text["25"]
	},
	["52555"] = { -- Hypnotic Dust
		Icon["Cata"],
		"Gear level: 35-37",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["75"],
		T_Quality[1]..Chance_Text["25"]
	},
	["74249"] = { -- Spirit Dust
		Icon["Mop"],
		"Gear level: 37-38",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["75"],
		T_Quality[1]..Chance_Text["25"]
	},
	["109693"] = { -- Draenic Dust
		Icon["Wod"],
		"Gear level: 39-44",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["100"],
		T_Quality[1]..Chance_Text["100"]
	},
	["124440"] = { -- Arkhana
		Icon["Legion"],
		"Gear level: 44-50",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["100"],
		T_Quality[1]..Chance_Text["100"]
	},
	["152875"] = { -- Gloom Dust
		Icon["Bfa"],
		"Gear level: 52-58",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["100"],
		T_Quality[1]..Chance_Text["100"]
	},
	["172230"] = { -- Soul Dust
		Icon["Sl"],
		"Gear level: 85-165",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["100"],
		T_Quality[1]..Chance_Text["100"]
	},
	
	-- Essence
	["10938"] = { -- Lesser Magic Essence
		"",
		"Gear level: 1-8",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["10939"] = { -- Greater Magic Essence
		"",
		"Gear level: 5-18",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["16202"] = { -- Lesser Eternal Essence
		"",
		"Gear level: 6-29",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["16203"] = { -- Greater Eternal Essence
		"",
		"Gear level: 5-35",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["22447"] = { -- Lesser Planar Essence
		Icon["Bc"],
		"Gear level: 29-31",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["22446"] = { -- Greater Planar Essence
		Icon["Bc"],
		"Gear level: 31-32",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["34056"] = { -- Lesser Cosmic Essence
		Icon["Wrath"],
		"Gear level: 32-33",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["34055"] = { -- Greater Cosmic Essence
		Icon["Wrath"],
		"Gear level: 33-35",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["52718"] = { -- Lesser Celestial Essence
		Icon["Cata"],
		"Gear level: 35-36",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["52719"] = { -- Greater Celestial Essence
		Icon["Cata"],
		"Gear level: 36-37",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	["74250"] = { -- Mysterious Essence
		Icon["Mop"],
		"Gear level: 35-39",
		T_Quality[1].."Uncommon|r",
		T_Quality[1]..Chance_Text["25"],
		T_Quality[1]..Chance_Text["75"]
	},
	
	-- Shard
	["14343"] = { -- Small Brilliant Shard
		"",
		"Gear level: 10-28",
		T_Quality[1].."Uncommon|r & "..T_Quality[2].."Rare|r",
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"],
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"]
	},
	["14344"] = { -- Large Brilliant Shard
		"",
		"Gear level: 22-29",
		T_Quality[1].."Uncommon|r & "..T_Quality[2].."Rare|r",
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"],
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"]
	},
	["22448"] = { -- Small Prismatic Shard
		Icon["Bc"],
		"Gear level: 29-32",
		T_Quality[1].."Uncommon|r & "..T_Quality[2].."Rare|r",
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"],
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"]
	},
	["22449"] = { -- Large Prismatic Shard
		Icon["Bc"],
		"Gear level: 31-32",
		T_Quality[1].."Uncommon|r & "..T_Quality[2].."Rare|r",
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"],
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"]
	},
	["34053"] = { -- Small Dream Shard
		Icon["Wrath"],
		"Gear level: 32-34",
		T_Quality[1].."Uncommon|r & "..T_Quality[2].."Rare|r",
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"],
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"]
	},
	["34052"] = { -- Dream Shard
		Icon["Wrath"],
		"Gear level: 34-35",
		T_Quality[1].."Uncommon|r & "..T_Quality[2].."Rare|r",
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"],
		T_Quality[1]..Chance_Text["5"].."|r"..T_Quality[2]..Chance_Text["99.5"]
	},
	["52720"] = { -- Small Heavenly Shard
		Icon["Cata"],
		"Gear level: 35-36",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["100"],
		T_Quality[2]..Chance_Text["100"]
	},
	["52721"] = { -- Heavenly Shard
		Icon["Cata"],
		"Gear level: 36-37",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["100"],
		T_Quality[2]..Chance_Text["100"]
	},
	["74252"] = { -- Small Ethereal Shard
		Icon["Mop"],
		"Gear level: 37-39",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["100"],
		T_Quality[2]..Chance_Text["100"]
	},
	["74247"] = { -- Ethereal Shard
		Icon["Mop"],
		"Gear level: 39",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["100"],
		T_Quality[2]..Chance_Text["100"]
	},
	["115502"] = { -- Small Luminous Shard
		Icon["Wod"],
		"Gear level: 39-44",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["5"],
		T_Quality[2]..Chance_Text["5"]
	},
	["111245"] = { -- Luminous Shard
		Icon["Wod"],
		"Gear level: 39-44",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["15"],
		T_Quality[2]..Chance_Text["15"]
	},
	["124441"] = { -- Leylight Shard
		Icon["Legion"],
		"Gear level: 44-50",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["75"],
		T_Quality[2]..Chance_Text["75"]
	},
	["152876"] = { -- Umbra Shard
		Icon["Bfa"],
		"Gear level: 50-59",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["100"],
		T_Quality[2]..Chance_Text["100"]
	},
	["172231"] = { -- Sacred Shard
		Icon["Sl"],
		"Gear level: 85-165",
		T_Quality[2].."Rare|r",
		T_Quality[2]..Chance_Text["100"],
		T_Quality[2]..Chance_Text["100"]
	},
	
	-- Crystal
	["22450"] = { -- Void Crystal
		Icon["Bc"],
		"Gear level: 31-33",
		T_Quality[2].."Rare|r & "..T_Quality[3].."Epic|r",
		T_Quality[2]..Chance_Text["5"].."|r"..T_Quality[3]..Chance_Text["100"],
		T_Quality[2]..Chance_Text["5"].."|r"..T_Quality[3]..Chance_Text["100"]
	},
	["34057"] = { -- Abyss Crystal
		Icon["Wrath"],
		"Gear level: 35",
		T_Quality[2].."Rare|r & "..T_Quality[3].."Epic|r",
		T_Quality[2]..Chance_Text["5"].."|r"..T_Quality[3]..Chance_Text["100"],
		T_Quality[2]..Chance_Text["5"].."|r"..T_Quality[3]..Chance_Text["100"]
	},
	["52722"] = { -- Maelstrom Crystal
		Icon["Cata"],
		"Gear level: 37",
		T_Quality[3].."Epic|r",
		T_Quality[3]..Chance_Text["100"],
		T_Quality[3]..Chance_Text["100"]
	},
	["74248"] = { -- Sha Crystal
		Icon["Mop"],
		"Gear level: 38-41",
		T_Quality[3].."Epic|r",
		T_Quality[3]..Chance_Text["100"],
		T_Quality[3]..Chance_Text["100"]
	},
	["115504"] = { -- Fractured Temporal Crystal
		Icon["Wod"],
		"Gear level: 44-45",
		T_Quality[3].."Epic|r",
		T_Quality[3]..Chance_Text["50"],
		T_Quality[3]..Chance_Text["50"]
	},
	["113588"] = { -- Temporal Crystal
		Icon["Wod"],
		"Gear level: 44-45",
		T_Quality[3].."Epic|r",
		T_Quality[3]..Chance_Text["50"],
		T_Quality[3]..Chance_Text["50"]
	},
	["124442"] = { -- Chaos Crystal
		Icon["Legion"],
		"Gear level: 44-51",
		T_Quality[3].."Epic|r",
		T_Quality[3]..Chance_Text["99.5"],
		T_Quality[3]..Chance_Text["99.5"]
	},
	["152877"] = { -- Veiled Crystal
		Icon["Bfa"],
		"Gear level: 58-66",
		T_Quality[3].."Epic|r",
		T_Quality[3]..Chance_Text["100"],
		T_Quality[3]..Chance_Text["100"]
	},
	["172232"] = { -- Eternal Crystal
		Icon["Sl"],
		"Gear level: 85-183",
		T_Quality[3].."Epic|r",
		T_Quality[3]..Chance_Text["100"],
		T_Quality[3]..Chance_Text["100"]
	}
}

T_Dis_Result = {
	-- Dust --
	[L["Strange Dust"]] = "\124cffffffff\124Hitem:10940::::::::::\124h["..L["Strange Dust"].."]\124h\124r", -- Strange Dust
	[L["Light Illusion Dust"]] = "\124cffffffff\124Hitem:16204::::::::120:::::\124h["..L["Light Illusion Dust"].."]\124h\124r", -- Light Illusion Dust
	[L["Rich Illusion Dust"]] = "\124cffffffff\124Hitem:156930::::::::120:::::\124h["..L["Rich Illusion Dust"].."]\124h\124r", -- Rich Illusion Dust
	[L["Arcane Dust"]] = "\124cffffffff\124Hitem:22445::::::::::\124h["..L["Arcane Dust"].."]\124h\124r", -- Arcane Dust
	[L["Infinite Dust"]] = "\124cffffffff\124Hitem:34054::::::::::\124h["..L["Infinite Dust"].."]\124h\124r", -- Infinite Dust
	[L["Hypnotic Dust"]] = "\124cffffffff\124Hitem:52555::::::::::\124h["..L["Hypnotic Dust"].."]\124h\124r", -- Hypnotic Dust
	[L["Spirit Dust"]] = "\124cffffffff\124Hitem:74249::::::::::\124h["..L["Spirit Dust"].."]\124h\124r", -- Spirit Dust
	[L["Draenic Dust"]] = "\124cffffffff\124Hitem:109693::::::::::\124h["..L["Draenic Dust"].."]\124h\124r", -- Draenic Dust
	[L["Arkhana"]] = "\124cffffffff\124Hitem:124440::::::::::\124h["..L["Arkhana"].."]\124h\124r", -- Arkhana
	[L["Gloom Dust"]] = "\124cffffffff\124Hitem:152875::::::::120:::::\124h["..L["Gloom Dust"].."]\124h\124r", -- Gloom Dust
	[L["Soul Dust"]] = "\124cffffffff\124Hitem:172230::::::::60:::::\124h["..L["Soul Dust"].."]\124h\124r", -- Soul Dust
	
	-- Essence --
	[L["Lesser Magic Essence"]] = "\124cff1eff00\124Hitem:10938::::::::::\124h["..L["Lesser Magic Essence"].."]\124h\124r", -- Lesser Magic Essence
	[L["Greater Magic Essence"]] = "\124cff1eff00\124Hitem:10939::::::::::\124h["..L["Greater Magic Essence"].."]\124h\124r", -- Greater Magic Essence
	[L["Lesser Eternal Essence"]] = "\124cff1eff00\124Hitem:16202::::::::::\124h["..L["Lesser Eternal Essence"].."]\124h\124r", -- Lesser Eternal Essence
	[L["Greater Eternal Essence"]] = "\124cff1eff00\124Hitem:16203::::::::::\124h["..L["Greater Eternal Essence"].."]\124h\124r", -- Greater Eternal Essence
	[L["Lesser Planar Essence"]] = "\124cff1eff00\124Hitem:22447::::::::::\124h["..L["Lesser Planar Essence"].."]\124h\124r", -- Lesser Planar Essence
	[L["Greater Planar Essence"]] = "\124cff1eff00\124Hitem:22446::::::::::\124h["..L["Greater Planar Essence"].."]\124h\124r", -- Greater Planar Essence
	[L["Lesser Cosmic Essence"]] = "\124cff1eff00\124Hitem:34056::::::::::\124h["..L["Lesser Cosmic Essence"].."]\124h\124r", -- Lesser Cosmic Essence
	[L["Greater Cosmic Essence"]] = "\124cff1eff00\124Hitem:34055::::::::::\124h["..L["Greater Cosmic Essence"].."]\124h\124r", -- Greater Cosmic Essence
	[L["Lesser Celestial Essence"]] = "\124cff1eff00\124Hitem:52718::::::::::\124h["..L["Lesser Celestial Essence"].."]\124h\124r", -- Lesser Celestial Essence
	[L["Greater Celestial Essence"]] = "\124cff1eff00\124Hitem:52719::::::::::\124h["..L["Greater Celestial Essence"].."]\124h\124r", -- Greater Celestial Essence
	[L["Mysterious Essence"]] = "\124cff1eff00\124Hitem:74250::::::::::\124h["..L["Mysterious Essence"].."]\124h\124r", -- Mysterious Essence
	
	-- Shard --
	[L["Small Brilliant Shard"]] = "\124cff0070dd\124Hitem:14343::::::::::\124h["..L["Small Brilliant Shard"].."]\124h\124r", -- Small Brilliant Shard
	[L["Large Brilliant Shard"]] = "\124cff0070dd\124Hitem:14344::::::::::\124h["..L["Large Brilliant Shard"].."]\124h\124r", -- Large Brilliant Shard
	[L["Small Prismatic Shard"]] = "\124cff0070dd\124Hitem:22448::::::::::\124h["..L["Small Prismatic Shard"].."]\124h\124r", -- Small Prismatic Shard
	[L["Large Prismatic Shard"]] = "\124cff0070dd\124Hitem:22449::::::::::\124h["..L["Large Prismatic Shard"].."]\124h\124r", -- Large Prismatic Shard
	[L["Small Dream Shard"]] = "\124cff0070dd\124Hitem:34053::::::::::\124h["..L["Small Dream Shard"].."]\124h\124r", -- Small Dream Shard
	[L["Dream Shard"]] = "\124cff0070dd\124Hitem:34052::::::::::\124h["..L["Dream Shard"].."]\124h\124r", -- Dream Shard
	[L["Small Heavenly Shard"]] = "\124cff0070dd\124Hitem:52720::::::::::\124h["..L["Small Heavenly Shard"].."]\124h\124r", -- Small Heavenly Shard
	[L["Heavenly Shard"]] = "\124cff0070dd\124Hitem:52721::::::::::\124h["..L["Heavenly Shard"].."]\124h\124r", -- Heavenly Shard
	[L["Small Ethereal Shard"]] = "\124cff0070dd\124Hitem:74252::::::::::\124h["..L["Small Ethereal Shard"].."]\124h\124r", -- Small Ethereal Shard
	[L["Ethereal Shard"]] = "\124cff0070dd\124Hitem:74247::::::::::\124h["..L["Ethereal Shard"].."]\124h\124r", -- Ethereal Shard
	[L["Small Luminous Shard"]] = "\124cff0070dd\124Hitem:115502::::::::::\124h["..L["Small Luminous Shard"].."]\124h\124r", -- Small Luminous Shard
	[L["Luminous Shard"]] = "\124cff0070dd\124Hitem:111245::::::::::\124h["..L["Luminous Shard"].."]\124h\124r", -- Luminous Shard
	[L["Leylight Shard"]] = "\124cff0070dd\124Hitem:124441::::::::::\124h["..L["Leylight Shard"].."]\124h\124r", -- Leylight Shard
	[L["Umbra Shard"]] = "\124cff0070dd\124Hitem:152876::::::::120:::::\124h["..L["Umbra Shard"].."]\124h\124r", -- Umbra Shard
	[L["Sacred Shard"]] = "\124cff0070dd\124Hitem:172231::::::::60:::::\124h["..L["Sacred Shard"].."]\124h\124r", -- Sacred Shard
	
	-- Crystal --
	[L["Maelstrom Crystal"]] = "\124cffa335ee\124Hitem:52722::::::::::\124h["..L["Maelstrom Crystal"].."]\124h\124r", -- Maelstrom Crystal
	[L["Void Crystal"]] = "\124cffa335ee\124Hitem:22450::::::::::\124h["..L["Void Crystal"].."]\124h\124r", -- Void Crystal
	[L["Abyss Crystal"]] = "\124cffa335ee\124Hitem:34057::::::::::\124h["..L["Abyss Crystal"].."]\124h\124r", -- Abyss Crystal
	[L["Sha Crystal"]] = "\124cffa335ee\124Hitem:74248::::::::::\124h["..L["Sha Crystal"].."]\124h\124r",	-- Sha Crystal
	[L["Fractured Temporal Crystal"]] = "\124cffa335ee\124Hitem:115504::::::::::\124h["..L["Fractured Temporal Crystal"].."]\124h\124r", -- Fractured Temporal Crystal
	[L["Temporal Crystal"]] = "\124cffa335ee\124Hitem:113588::::::::::\124h["..L["Temporal Crystal"].."]\124h\124r", -- Temporal Crystal
	[L["Chaos Crystal"]] = "\124cffa335ee\124Hitem:124442::::::::::\124h["..L["Chaos Crystal"].."]\124h\124r", -- Chaos Crystal
	[L["Veiled Crystal"]] = "\124cffa335ee\124Hitem:152877::::::::120:::::\124h["..L["Veiled Crystal"].."]\124h\124r", -- Veiled Crystal
	[L["Eternal Crystal"]] = "\124cffa335ee\124Hitem:172232::::::::60:::::\124h["..L["Eternal Crystal"].."]\124h\124r" -- Eternal Crystal
}

-------------------------
-- Disenchant info end --
-------------------------