local L = PA_LOCALIZATION
------------------
-- Herb info --
------------------
T_Herbalism = {
	-- Vanilla herbs --
	["765"] = { -- Silverleaf
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Azshara"], L["Azuremyst Isle"], L["Bloodmyst Isle"], L["Darkshore"], L["Dun Morogh"], L["Durotar"], L["Elwynn Forest"], L["Eversong Woods"], L["Ghostlands"], L["Gilneas"], L["Loch Modan"], L["The Lost Isles"], L["Mulgore"], L["Northern Barrens"], L["Silverpine Forest"], L["Teldrassil"], L["Tirisfal Glades"], L["The Wandering Isle"], L["Westfall"]};
	};
	["2447"] = { -- Peacebloom
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Azshara"], L["Azuremyst Isle"], L["Bloodmyst Isle"], L["Darkshore"], L["Dun Morogh"], L["Durotar"], L["Elwynn Forest"], L["Eversong Woods"], L["Ghostlands"], L["Gilneas"], L["Loch Modan"], L["The Lost Isles"], L["Mulgore"], L["Northern Barrens"], L["Teldrassil"], L["Tirisfal Glades"], L["The Wandering Isle"], L["Westfall"]};
	};
	["2449"] = { -- Earthroot
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Azshara"], L["Azuremyst Isle"], L["Bloodmyst Isle"], L["Darkshore"], L["Dun Morogh"], L["Durotar"], L["Elwynn Forest"], L["Eversong Woods"], L["Ghostlands"], L["Gilneas"], L["Loch Modan"], L["The Lost Isles"], L["Mulgore"], L["Northern Barrens"], L["Teldrassil"], L["Tirisfal Glades"], L["The Wandering Isle"], L["Westfall"]};
	};
	["2452"] = { -- Swiftthistle
		[1] = {"","At other herbs:"..Chance_Text["35"]};
		[2] = {T_Herb2[L["Mageroyal"]],T_Herb2[L["Briarthorn"]]};
	};
	["785"] = { -- Mageroyal
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Ashenvale"], L["Azshara"], L["Bloodmyst Isle"], L["Darkshore"], L["Duskwood"], L["Ghostlands"], L["Hillsbrad Foothills"], L["Loch Modan"], L["Northern Barrens"], L["Redridge Mountains"], L["Silverpine Forest"], L["Southern Barrens"], L["Stonetalon Mountains"], L["Teldrassil"], L["Wailing Caverns"], L["Westfall"], L["Wetlands"]};
	};
	["2450"] = { -- Briarthorn
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Ashenvale"], L["Azshara"], L["Bloodmyst Isle"], L["Darkshore"], L["Duskwood"], L["Ghostlands"], L["Hillsbrad Foothills"], L["Loch Modan"], L["Northern Barrens"], L["Razorfen Kraul"], L["Redridge Mountains"], L["Silverpine Forest"], L["Southern Barrens"], L["Stonetalon Mountains"], L["Westfall"], L["Wetlands"]};
	};
	["3820"] = { -- Stranglekelp
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Ashenvale"], L["Blackfathom Deeps"], L["Bloodmyst Isle"], L["The Cape of Stranglethorn"], L["Darkshore"], L["Dustwallow Marsh"], L["Ghostlands"], L["Hillsbrad Foothills"], L["The Hinterlands"], L["Northern Stranglethorn"], L["Swamp of Sorrows"], L["Thousand Needles"], L["Western Plaguelands"], L["Westfall"], L["Wetlands"]};
	};
	["2453"] = { -- Bruiseweed
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Ashenvale"], L["Blackfathom Deeps"], L["Bloodmyst Isle"], L["Duskwood"], L["Ghostlands"], L["Hillsbrad Foothills"], L["The Hinterlands"], L["Loch Modan"], L["Northern Barrens"], L["Northern Stranglethorn"], L["Redridge Mountains"], L["Stonetalon Mountains"], L["Westfall"], L["Wetlands"]};
	};
	["3355"] = { -- Wild Steelbloom
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Ashenvale"], L["Desolace"], L["Duskwood"], L["The Hinterlands"], L["Northern Stranglethorn"], L["Stonetalon Mountains"], L["Wetlands"]};
	};
	["3369"] = { -- Grave Moss
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Duskwood"], L["Hillsbrad Foothills"], L["Razorfen Downs"], L["Wetlands"]};
	};
	["3357"] = { -- Liferoot
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Ashenvale"], L["The Cape of Stranglethorn"], L["Desolace"], L["Dustwallow Marsh"], L["Eastern Plaguelands"], L["The Hinterlands"], L["Netherstorm"], L["Northern Stranglethorn"], L["Southern Barrens"], L["Thousand Needles"], L["Western Plaguelands"], L["Wetlands"]};
	};
	["3356"] = { -- Kingsblood
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Ashenvale"], L["Desolace"], L["Duskwood"], L["Dustwallow Marsh"], L["Feralas"], L["The Hinterlands"], L["Northern Stranglethorn"], L["Southern Barrens"], L["Wailing Caverns"], L["Western Plaguelands"], L["Wetlands"]};
	};
	["3818"] = { -- Fadeleaf
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["The Cape of Stranglethorn"], L["Dustwallow Marsh"], L["Feralas"], L["The Hinterlands"], L["Razorfen Kraul"], L["Western Plaguelands"]};
	};
	["3821"] = { -- Goldthorn
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["The Cape of Stranglethorn"], L["Desolace"], L["Dustwallow Marsh"], L["Feralas"], L["The Hinterlands"], L["Razorfen Downs"]};
	};
	["3819"] = { -- Dragon's Teeth
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Badlands"]};
	};
	["3358"] = { -- Khadgar's Whisker
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["The Cape of Stranglethorn"], L["Desolace"], L["Dustwallow Marsh"], L["Eastern Plaguelands"], L["Feralas"], L["The Hinterlands"], L["Southern Barrens"], L["Western Plaguelands"]};
	};
	["8831"] = { -- Purple Lotus
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Felwood"]};
	};
	["8838"] = { -- Sungrass
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Badlands"], L["Burning Steppes"], L["Eastern Plaguelands"], L["Searing Gorge"], L["Silithus"], L["Southern Barrens"], L["Tanaris"], L["Utgarde Keep"]};
	};
	["8836"] = { -- Arthas' Tears
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Eastern Plaguelands"], L["Felwood"], L["Razorfen Downs"], L["Western Plaguelands"]};
	};
	["4625"] = { -- Firebloom
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Badlands"], L["Burning Steppes"], L["Searing Gorge"], L["Tanaris"]};
	};
	["8845"] = { -- Ghost Mushroom
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Utgarde Keep"], L["Zangarmarsh"]};
	};
	["8846"] = { -- Gromsblood
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Ashenvale"], L["Blasted Lands"], L["Desolace"], L["Felwood"]};
	};
	["8839"] = { -- Blindweed
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Feralas"], L["The Hinterlands"], L["Maraudon"], L["Utgarde Keep"], L["Western Plaguelands"], L["Zangarmarsh"]};
	};
	["13464"] = { -- Golden Sansam
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Badlands"], L["Blasted Lands"], L["Felwood"], L["Hellfire Peninsula"], L["Netherstorm"], L["Silithus"], L["Swamp of Sorrows"], L["Zangarmarsh"]};
	};
	["13463"] = { -- Dreamfoil
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Badlands"], L["Burning Steppes"], L["Felwood"], L["Hellfire Peninsula"], L["Silithus"], L["Utgarde Keep"], L["Zangarmarsh"]};
	};
	["13466"] = { -- Sorrowmoss
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Swamp of Sorrows"]};
	};
	["13465"] = { -- Mountain Silversage
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Blasted Lands"], L["Hellfire Peninsula"], L["Silithus"], L["Utgarde Keep"], L["Winterspring"]};
	};
	["13467"] = { -- Icecap
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Winterspring"]};
	};
	["8153"] = { -- Wildvine
		[1] = {"","At other herbs:"..Chance_Text["15"]};
		[2] = {T_Herb2[L["Purple Lotus"]]};
	};
	["13468"] = { -- Black Lotus
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Blasted Lands"], L["Eastern Plaguelands"], L["Silithus"], L["Winterspring"]};
	};
	
	-- The Burning Crusade herbs --
	["22789"] = { -- Terocone
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Shadowmoon Valley"], L["Terokkar Forest"]};
	};
	["22787"] = { -- Ragveil
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["The Slave Pens"], L["The Underbog"], L["Zangarmarsh"]};
	};
	["22792"] = { -- Nightmare Vine
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Blade's Edge Mountains"], L["Hellfire Peninsula"], L["Shadowmoon Valley"]};
	};
	["22791"] = { -- Netherbloom
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Netherstorm"]};
	};
	["22793"] = { -- Mana Thistle
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Blade's Edge Mountains"], L["Isle of Quel'Danas"], L["Nagrand"], L["Netherstorm"], L["Shadowmoon Valley"], L["Terokkar Forest"]};
	};
	["22785"] = { -- Felweed
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Blade's Edge Mountains"], L["Hellfire Peninsula"], L["Nagrand"], L["Netherstorm"], L["Shadowmoon Valley"], L["The Slave Pens"], L["Terokkar Forest"], L["The Underbog"], L["Zangarmarsh"]};
	};
	["22786"] = { -- Dreaming Glory
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Blade's Edge Mountains"], L["Hellfire Peninsula"], L["Nagrand"], L["Netherstorm"], L["Shadowmoon Valley"], L["Terokkar Forest"], L["Zangarmarsh"]};
	};
	["22790"] = { -- Ancient Lichen
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Auchenai Crypts"], L["Mana-Tombs"], L["Sethekk Halls"], L["Shado-Pan Monastery"], L["The Slave Pens"], L["The Steamvault"], L["The Underbog"]};
	};
	["22794"] = { -- Fel Lotus
		[1] = {Icon["Bc"],"At other herbs:"..Chance_Text["5"]};
		[2] = {T_Herb2[L["Terocone"]], T_Herb2[L["Ragveil"]], T_Herb2[L["Felweed"]], T_Herb2[L["Dreaming Glory"]], T_Herb2[L["Nightmare Vine"]], T_Herb2[L["Netherbloom"]], T_Herb2[L["Mana Thistle"]], T_Herb2[L["Ancient Lichen"]], "|cffffffff["..L["Flame Cap"].."]|r", "|cffffffff["..L["Netherdust Bush"].."]|r"};
	};
	
	-- Wrath of the Lich King herbs --
	["36904"] = { -- Tiger Lily
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Azjol-Nerub"], L["Borean Tundra"], L["Grizzly Hills"], L["Howling Fjord"], L["Sholazar Basin"]};
	};
	["36907"] = { -- Talandra's Rose
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Ahn'kahet: The Old Kingdom"], L["Drak'Tharon Keep"], L["Grizzly Hills"], L["Gundrak"]};
	};
	["36905"] = { -- Lichbloom
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Icecrown"], L["The Storm Peaks"], L["Wintergrasp"]};
	};
	["36906"] = { -- Icethorn
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Icecrown"], L["The Storm Peaks"], L["Utgarde Pinnacle"], L["Wintergrasp"]};
	};
	["36901"] = { -- Goldclover
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Azjol-Nerub"], L["Borean Tundra"], L["Dragonblight"], L["Grizzly Hills"], L["Howling Fjord"], L["Sholazar Basin"]};
	};
	["39970"] = { -- Fire Leaf
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Borean Tundra"]};
		[3] = {"|cffffffff["..L["Firethorn"].."]|r"};
	};
	["37921"] = { -- Deadnettle
		[1] = {Icon["Wrath"],"At other herbs:"..Chance_Text["35"]};
		[2] = {T_Herb2[L["Tiger Lily"]], T_Herb2[L["Talandra's Rose"]], T_Herb2[L["Goldclover"]]};
	};
	["36903"] = { -- Adder's Tongue
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Drak'Tharon Keep"], L["Gundrak"], L["Sholazar Basin"]};
	};
	["36908"] = { -- Frost Lotus
		[1] = {Icon["Wrath"],"At node: "..Chance_Text["100"].. " & At other herbs:"..Chance_Text["5"]};
		[2] = {L["Wintergrasp"]};
		[3] = {T_Herb2[L["Tiger Lily"]], T_Herb2[L["Talandra's Rose"]], T_Herb2[L["Goldclover"]], T_Herb2[L["Fire Leaf"]], T_Herb2[L["Deadnettle"]], T_Herb2[L["Lichbloom"]], T_Herb2[L["Icethorn"]], "|cffffffff["..L["Firethorn"].."]|r"};
	};
	
	-- Cataclysm herbs --
	["52984"] = { -- Stormvine
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Abyssal Depths"], L["Kelp'thar Forest"], L["Mount Hyjal"], L["Shimmering Expanse"]};
	};
	["52983"] = { -- Cinderbloom
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Deepholm"], L["Mount Hyjal"], L["Tol Barad"], L["Tol Barad Peninsula"], L["Twilight Highlands"], L["Uldum"]};
	};
	["52986"] = { -- Heartblossom
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Deepholm"]};
	};
	["52985"] = { -- Azshara's Veil
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Abyssal Depths"], L["Kelp'thar Forest"], L["Mount Hyjal"], L["Shimmering Expanse"], L["Tol Barad Peninsula"]};
	};
	["52988"] = { -- Whiptail
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Tol Barad"], L["Uldum"]};
	};
	["52987"] = { -- Twilight Jasmine
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Twilight Highlands"]};
	};
	
	-- Pandaria herbs --
	["89639"] = { -- Desecrated Herb
		[1] = {Icon["Mop"],Chance_Text["100"]};
		[2] = {L["Dread Wastes"], L["The Jade Forest"], L["Kun-Lai Summit"], L["Valley of the Four Winds"]};
		[3] = {"|cffffffff["..L["Sha-Touched Herb"].."]|r"};
	};
	["79010"] = { -- Snow Lily
		[1] = {Icon["Mop"],"At node: "..Chance_Text["100"].. " & At other herbs:"..Chance_Text["15"]};
		[2] = {L["Kun-Lai Summit"], L["Shado-Pan Monastery"], L["Townlong Steppes"]};
		[3] = {"|cffffffff["..L["Sha-Touched Herb"].."]|r"};
	};
	["72235"] = { -- Silkweed
		[1] = {Icon["Mop"],Chance_Text["100"]};
		[2] = {L["The Jade Forest"], L["Kun-Lai Summit"], L["Timeless Isle"], L["Valley of the Four Winds"], L["The Veiled Stair"]};
	};
	["79011"] = { -- Fool's Cap
		[1] = {Icon["Mop"],"At node: "..Chance_Text["100"].. " & At other herbs:"..Chance_Text["15"]};
		[2] = {L["Dread Wastes"], L["The Jade Forest"], L["Timeless Isle"], L["Townlong Steppes"]};
		[3] = {"|cffffffff["..L["Sha-Touched Herb"].."]|r"};
	};
	["72237"] = { -- Rain Poppy
		[1] = {Icon["Mop"],Chance_Text["100"]};
		[2] = {L["The Jade Forest"], L["Timeless Isle"], L["Valley of the Four Winds"]};
	};
	["72234"] = { -- Green Tea Leaf
		[1] = {Icon["Mop"],"At node: "..Chance_Text["100"].. " & At other herbs:"..Chance_Text["35"]};
		[2] = {L["Dread Wastes"], L["The Jade Forest"], L["Krasarang Wilds"], L["Kun-Lai Summit"], L["Siege of Niuzao Temple"], L["Timeless Isle"], L["Townlong Steppes"], L["Vale of Eternal Blossoms"], L["Valley of the Four Winds"]};
		[3] = {"|cffffffff["..L["Sha-Touched Herb"].."]|r"};
	};	
	["72238"] = { -- Golden Lotus
		[1] = {Icon["Mop"],"At node: "..Chance_Text["100"].. " & At other herbs:"..Chance_Text["1.5"]};
		[2] = {L["Dread Wastes"], L["The Jade Forest"], L["Kun-Lai Summit"], L["Timeless Isle"], L["Townlong Steppes"], L["Vale of Eternal Blossoms"], L["Valley of the Four Winds"]};
		[3] = {T_Herb2[L["Snow Lily"]], T_Herb2[L["Silkweed"]], T_Herb2[L["Rain Poppy"]], T_Herb2[L["Green Tea Leaf"]], T_Herb2[L["Fool's Cap"]], "|cffffffff["..L["Sha-Touched Herb"].."]|r"};
	};
	
	-- Warlords of Draenor herbs --
	["109125"] = { -- Fireweed
		[1] = {Icon["Wod"],Chance_Text["100"]};
		[2] = {L["Ashran"], L["Frostfire Ridge"], L["Frostwall"], L["Lunarfall"], L["Spires of Arak"]};
	};
	["109124"] = { -- Frostweed
		[1] = {Icon["Wod"],Chance_Text["100"]};
		[2] = {L["Ashran"], L["Frostfire Ridge"], L["Frostwall"], L["Lunarfall"], L["Shadowmoon Valley"], L["Spires of Arak"]};
	};
	["109126"] = { -- Gorgrond Flytrap
		[1] = {Icon["Wod"],Chance_Text["100"]};
		[2] = {L["Ashran"], L["Frostwall"], L["Gorgrond"], L["Lunarfall"], L["Spires of Arak"]};
	};
	["109127"] = { -- Starflower
		[1] = {Icon["Wod"],Chance_Text["100"]};
		[2] = {L["Ashran"], L["Frostwall"], L["Lunarfall"], L["Shadowmoon Valley"], L["Spires of Arak"]};
	};
	["109128"] = { -- Nagrand Arrowbloom
		[1] = {Icon["Wod"],Chance_Text["100"]};
		[2] = {L["Ashran"], L["Frostwall"], L["Lunarfall"], L["Nagrand"], L["Spires of Arak"], L["Talador"]};
	};
	["109129"] = { -- Talador Orchid
		[1] = {Icon["Wod"],Chance_Text["100"]};
		[2] = {L["Ashran"], L["Frostwall"], L["Lunarfall"], L["Spires of Arak"], L["Talador"]};
	};
	
	-- Legion herbs --
	["124105"] = { -- Starlight Rose
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Suramar"]};
	};
	["124103"] = { -- Foxflower
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Highmountain"]};
	};
	["124104"] = { -- Fjarnskaggl
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Stormheim"]};
	};
	["124106"] = { -- Felwort
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["World Quest"]};
	};
	["124102"] = { -- Dreamleaf
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Val'sharah"]};
	};
	["124101"] = { -- Aethril
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Azsuna"]};
	};
	["128304"] = { -- Yseralline Seed
		[1] = {Icon["Legion"],"At other herbs:"..Chance_Text["75"]};
		[2] = {T_Herb2[L["Starlight Rose"]], T_Herb2[L["Foxflower"]], T_Herb2[L["Fjarnskaggl"]], T_Herb2[L["Felwort"]], T_Herb2[L["Dreamleaf"]], T_Herb2[L["Aethril"]]};
	};
	["151565"] = { -- Astral Glory
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Mac'Aree"]};
	};
	
	-- Battle for Azeroth herbs --
	["152505"] = { -- Riverbud
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Nazmir"],L["Stormsong Valley"],L["Tiragarde Sound"],L["Vol'dun"],L["Zuldazar"],L["Mechagon"]};
	};
	["152511"] = { -- Sea Stalk
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Nazmir"],L["Stormsong Valley"],L["Tiragarde Sound"],L["Vol'dun"],L["Zuldazar"],L["Mechagon"]};
	};
	["152506"] = { -- Star Moss
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Nazmir"],L["Stormsong Valley"],L["Tiragarde Sound"],L["Vol'dun"],L["Zuldazar"]};
	};
	["152507"] = { -- Akunda's Bite - Horde Only
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Vol'dun"]};
	};
	["152508"] = { -- Winter's Kiss - Alliance Only
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Stormsong Valley"],L["Tiragarde Sound"]};
	};
	["152509"] = { -- Siren's Pollen
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Nazmir"],L["Stormsong Valley"],L["Tiragarde Sound"],L["Vol'dun"],L["Zuldazar"],L["Mechagon"]};
	};
	["152510"] = { -- Anchor Weed
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Nazmir"],L["Stormsong Valley"],L["Tiragarde Sound"],L["Vol'dun"],L["Zuldazar"],L["Mechagon"]};
	};
	["168487"] = { -- Zin'anthid
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Nazjatar"]};
	};
	
	-- Shadowlands herbs --
	["168589"] = { -- Marrowroot
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Maldraxxus"]};
	};
	["168583"] = { -- Widowbloom
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Revendreth"]};
	};
	["170554"] = { -- Vigil's Torch
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Ardenweald"]};
	};
	["168586"] = { -- Rising Glory
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Bastion"]};
	};
	["169701"] = { -- Death Blossom
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Ardenweald"], L["Bastion"], L["Maldraxxus"], L["Revendreth"]};
	};
	["171315"] = { -- Nightshade
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Ardenweald"], L["Bastion"], L["Maldraxxus"], L["The Maw"], L["Revendreth"]};
	};
}

----------------------
-- Mining info --
----------------------

T_Mining = {
	-- Vanilla ores --
	["2770"] = { -- Copper Ore
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Ashenvale"], L["Ashran"], L["Azuremyst Isle"], L["Badlands"], L["Bloodmyst Isle"], L["Darkshore"], L["The Deadmines"], L["Dun Morogh"], L["Durotar"], L["Duskwood"], L["Elwynn Forest"], L["Eversong Woods"], L["Ghostlands"], L["Gilneas"], L["Loch Modan"], L["The Lost Isles"], L["Mulgore"], L["Northern Barrens"], L["Redridge Mountains"], L["Silverpine Forest"], L["Southern Barrens"], L["Stonetalon Mountains"], L["Thousand Needles"], L["Tirisfal Glades"], L["Wailing Caverns"], L["The Wandering Isle"], L["Westfall"], L["Wetlands"]};
	};
	["2771"] = { -- Tin Ore
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Ashenvale"], L["Azshara"], L["Badlands"], L["Blackfathom Deeps"], L["Bloodmyst Isle"], L["Darkshore"], L["The Deadmines"], L["Duskwood"], L["Dustwallow Marsh"], L["Ghostlands"], L["Hillsbrad Foothills"], L["The Hinterlands"], L["Loch Modan"], L["Northern Barrens"], L["Northern Stranglethorn"], L["Redridge Mountains"], L["Silverpine Forest"], L["Stonetalon Mountains"], L["Wailing Caverns"], L["Westfall"], L["Wetlands"]};
	};
	["2775"] = { -- Silver Ore
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Bloodmyst Isle"], L["The Cape of Stranglethorn"], L["Darkshore"], L["Desolace"], L["The Deadmines"], L["Duskwood"], L["Dustwallow Marsh"], L["Feralas"], L["Hillsbrad Foothills"], L["The Hinterlands"], L["Loch Modan"], L["Northern Barrens"], L["Northern Stranglethorn"], L["Redridge Mountains"], L["Silverpine Forest"], L["Southern Barrens"], L["Stonetalon Mountains"], L["Thousand Needles"], L["Wetlands"]};
	};
	["2772"] = { -- Iron Ore
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Badlands"], L["The Cape of Stranglethorn"], L["Desolace"], L["Duskwood"], L["Dustwallow Marsh"], L["Eastern Plaguelands"], L["Feralas"], L["The Hinterlands"], L["Northern Stranglethorn"], L["Razorfen Kraul"], L["Southern Barrens"], L["Thousand Needles"], L["Uldaman"], L["Western Plaguelands"], L["Wetlands"]};
	};
	["2776"] = { -- Gold Ore
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Badlands"], L["Burning Steppes"], L["The Cape of Stranglethorn"], L["Desolace"], L["Duskwood"], L["Dustwallow Marsh"], L["Eastern Plaguelands"], L["Felwood"], L["Feralas"], L["Northern Stranglethorn"], L["Searing Gorge"], L["Southern Barrens"], L["Tanaris"], L["Thousand Needles"], L["Un'Goro Crater"], L["Western Plaguelands"]};
	};
	["3858"] = { -- Mithril Ore
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Badlands"], L["Burning Steppes"], L["Dustwallow Marsh"], L["Eastern Plaguelands"], L["Felwood"], L["Feralas"], L["Maraudon"], L["Searing Gorge"], L["Tanaris"], L["Thousand Needles"], L["Uldaman"], L["Un'Goro Crater"]};
	};
	["10620"] = { -- Thorium Ore
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Blasted Lands"], L["Dire Maul"], L["Silithus"], L["Swamp of Sorrows"], L["Un'Goro Crater"], L["Winterspring"]};
	};
	["7911"] = { -- Truesilver Ore
		[1] = {"",Chance_Text["100"]};
		[2] = {L["Arathi Highlands"], L["Badlands"], L["Blasted Lands"], L["Burning Steppes"], L["Dustwallow Marsh"], L["Eastern Plaguelands"], L["Felwood"], L["Feralas"], L["The Hinterlands"], L["Searing Gorge"], L["Silithus"], L["Tanaris"], L["Swamp of Sorrows"], L["Thousand Needles"], L["Un'Goro Crater"], L["Winterspring"]};
	};
	
	
	-- The Burning Crusade ores --
	["23424"] = { -- Fel Iron Ore
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Blade's Edge Mountains"], L["Hellfire Peninsula"], L["Nagrand"], L["Netherstorm"], L["Shadowmoon Valley"], L["The Steamvault"], L["Terokkar Forest"], L["Zangarmarsh"]};
	};
	["23425"] = { -- Adamantite Ore
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Auchenai Crypts"], L["Blade's Edge Mountains"], L["Isle of Quel'Danas"], L["Mana-Tombs"], L["Nagrand"], L["Netherstorm"], L["Sethekk Halls"], L["Shado-Pan Monastery"], L["Shadowmoon Valley"], L["The Slave Pens"], L["The Steamvault"], L["Terokkar Forest"], L["Zangarmarsh"]};
	};
	["23426"]= { -- Khorium Ore
		[1] = {Icon["Bc"],Chance_Text["100"]};
		[2] = {L["Blade's Edge Mountains"], L["Isle of Quel'Danas"], L["Nagrand"], L["Netherstorm"], L["Shadowmoon Valley"], L["Terokkar Forest"]};
	};
	["23427"] = { -- Eternium Ore
		[1] = {Icon["Bc"],"At other ores:"..Chance_Text["25"]};
		[2] = {T_Ores2[L["Fel Iron Ore"]], T_Ores2[L["Adamantite Ore"]], "|cff1eff00["..L["Khorium Ore"].."]|r"};
	};
	
	-- Wrath of the Lich King ores --
	["36909"] = { -- Cobalt Ore
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Borean Tundra"], L["Crystalsong Forest"], L["Dragonblight"], L["Grizzly Hills"], L["Howling Fjord"], L["The Storm Peaks"], L["Utgarde Keep"], L["Zul'Drak"]};
	};
	["36912"] = { -- Saronite Ore
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Crystalsong Forest"], L["Dragonblight"], L["Halls of Stone"], L["Icecrown"], L["Icecrown Citadel"], L["Sholazar Basin"], L["The Storm Peaks"], L["Wintergrasp"], L["Zul'Drak"]};
	};
	["36910"] = { -- Titanium Ore
		[1] = {Icon["Wrath"],Chance_Text["100"]};
		[2] = {L["Crystalsong Forest"], L["Dragonblight"], L["Icecrown"], L["Sholazar Basin"], L["The Storm Peaks"], L["Wintergrasp"]};
	};
	
	-- Cataclysm ores --
	["53038"] = { -- Obsidium Ore
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Abyssal Depths"], L["Deepholm"], L["Kelp'thar Forest"], L["Mount Hyjal"], L["Shimmering Expanse"]};
	};
	["52185"] = { -- Elementium Ore
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Deepholm"], L["Tol Barad"], L["Tol Barad Peninsula"], L["Twilight Highlands"], L["Uldum"]};
	};
	["52183"] = { -- Pyrite Ore
		[1] = {Icon["Cata"],Chance_Text["100"]};
		[2] = {L["Tol Barad"], L["Tol Barad Peninsula"], L["Twilight Highlands"], L["Uldum"]};
	};
	
	-- Pandaria ores --
	["72092"] = { -- Ghost Iron Ore
		[1] = {Icon["Mop"],Chance_Text["100"]};
		[2] = {L["Dread Wastes"], L["The Jade Forest"], L["Krasarang Wilds"], L["Kun-Lai Summit"], L["Shado-Pan Monastery"], L["Timeless Isle"], L["Townlong Steppes"], L["Vale of Eternal Blossoms"], L["Valley of the Four Winds"], L["The Veiled Stair"]};
	};
	["72093"] = { -- Kyparite
		[1] = {Icon["Mop"],Chance_Text["100"]};
		[2] = {L["Dread Wastes"], L["Siege of Niuzao Temple"], L["Townlong Steppes"]};
	};
	["72094"] = { -- Black Trillium Ore
		[1] = {Icon["Mop"],Chance_Text["100"]};
		[2] = {L["Dread Wastes"], L["The Jade Forest"], L["Kun-Lai Summit"], L["Timeless Isle"], L["Townlong Steppes"], L["Vale of Eternal Blossoms"], L["Valley of the Four Winds"]};
	};
	["72103"] = { -- White Trillium Ore
		[1] = {Icon["Mop"],Chance_Text["100"]};
		[2] = {L["Dread Wastes"], L["The Jade Forest"], L["Kun-Lai Summit"], L["Timeless Isle"], L["Townlong Steppes"], L["Vale of Eternal Blossoms"], L["Valley of the Four Winds"]};
	};
	
	-- Warlords of Draenor ores --
	["109118"] = { -- Blackrock Ore
		[1] = {Icon["Wod"],Chance_Text["100"]};
		[2] = {L["Ashran"], L["Frostfire Ridge"], L["Frostwall"], L["Gorgrond"], L["Lunarfall"], L["Nagrand"], L["Shadowmoon Valley"], L["Spires of Arak"], L["Talador"]};
	};
	["109119"] = { -- True Iron Ore
		[1] = {Icon["Wod"],Chance_Text["100"]};
		[2] = {L["Ashran"], L["Frostfire Ridge"], L["Frostwall"], L["Gorgrond"], L["Lunarfall"], L["Nagrand"], L["Shadowmoon Valley"], L["Spires of Arak"], L["Talador"]};
	};
	
	-- Legion ores --
	["123918"] = { -- Leystone Ore
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Azsuna"], L["Highmountain"], L["Stormheim"], L["Suramar"], L["Val'sharah"], L["World Quest"]};
	};
	["123919"] = { -- Felslate
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Azsuna"], L["Highmountain"], L["Stormheim"], L["Suramar"], L["Val'sharah"], L["World Quest"]};
	};
	["151564"] = { -- Empyrium
		[1] = {Icon["Legion"],Chance_Text["100"]};
		[2] = {L["Krokuun"], L["Antoran Wastes"]};
	};
	
	-- Battle for Azeroth ores --
	["152512"] = { -- Monelite Ore
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Nazmir"],L["Stormsong Valley"],L["Tiragarde Sound"],L["Vol'dun"],L["Zuldazar"],L["Mechagon"]};
	};
	["152579"] = { -- Storm Silver Ore
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Nazmir"],L["Stormsong Valley"],L["Tiragarde Sound"],L["Vol'dun"],L["Zuldazar"],L["Mechagon"]};
	};
	["152513"] = { -- Platinum Ore
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Drustvar"],L["Nazmir"],L["Stormsong Valley"],L["Tiragarde Sound"],L["Vol'dun"],L["Zuldazar"],L["Mechagon"]};
	};
	["168185"] = { -- Osmenite Ore
		[1] = {Icon["Bfa"],Chance_Text["100"]};
		[2] = {L["Nazjatar"]};
	};
	
	-- Shadowlands ores --
	["171828"] = { -- Laestrite Ore
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Ardenweald"], L["Bastion"], L["Maldraxxus"], L["Revendreth"]};
	};
	["171833"] = { -- Elethium Ore
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Ardenweald"], L["Bastion"], L["Maldraxxus"], L["Revendreth"]};
	};
	["171829"] = { -- Solenium Ore
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Bastion"]};
	};
	["171830"] = { -- Oxxein Ore
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Maldraxxus"]};
	};
	["171831"] = { -- Phaedrum Ore
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Ardenweald"]};
	};
	["171832"] = { -- Sinvyr Ore
		[1] = {Icon["Sl"],Chance_Text["100"]};
		[2] = {L["Revendreth"]};
	};
}